//  SiOptM.inc
//	Copyright (C) Siemens AG (1998). All Rights Reserved
//	Product:		SIMATIC PDM
//
//	Description:	Standard Options Menu
//
//  $Revision:   1.6  $
//  $Date:   Feb 17 2000 08:01:46  $


#include "calib.inc"


/*---------------------------------------------------------------------*/
/*    MENU: Options													   */
/*---------------------------------------------------------------------*/

MENU Menu_Options
{
	LABEL		[menu_Options];
	ITEMS
	{
			std_Einstellungen,
			std_Untereintraege

#ifdef COMM_ERROR_DIALOG_AVAILABLE
			,SEPARATOR,
			OfflineDialog_CommErrorHandling
#endif

			, std_OfflineWindow_Calibration_Protocol

#ifdef COMMUNICATION_PARAM_DLG_AVAILABLE
			,OfflineDialog_Communication_Params
#endif

#ifdef DEBUG_OPTION1
	, SEPARATOR
	DEBUG_OPTION1
#endif

	}
}

MENU Menu_S_Options
{
	LABEL		[menu_Options];
	ITEMS
	{
			std_Einstellungen,
			std_Untereintraege

#ifdef COMM_ERROR_DIALOG_AVAILABLE
			,SEPARATOR,
			OfflineDialog_CommErrorHandling
#endif
			, std_OfflineWindow_Calibration_Protocol

#ifdef DEBUG_OPTION1
			, SEPARATOR
			DEBUG_OPTION1
#endif


	}
}

MENU Menu_M_Options
{
	LABEL		[menu_Options];
	ITEMS
	{
			std_Einstellungen,
			std_Untereintraege
	}
}




METHOD std_Einstellungen
{
	LABEL		[menu_Options_Properties];
	DEFINITION
	{
	}
}

METHOD std_Untereintraege
{
	LABEL		[menu_Options_Subitems];
	DEFINITION
	{
	}
}

