// File:		SI_YT_1.inc
// Product:	SIMATIC PDM
// Description:	Trendviewer #1
//  $Revision:   1.2  $
//  $Date:   Nov 7 2003 10:48:30  $
// Copyright (C) Siemens AG (1998 - 2003). All Rights Reserved



// Parameter: YT11_VALUE,  YT11_URV,  YT11_LRV,  YT11_LABEL
// Parameter: YT12_VALUE,  YT12_URV,  YT12_LRV,  YT12_LABEL
// Parameter: YT13_VALUE,  YT13_URV,  YT13_LRV,  YT13_LABEL
// Parameter: YT14_VALUE,  YT14_URV,  YT14_LRV,  YT14_LABEL



MENU OnlineWindow_yt_1
{
	LABEL	YT11_LABEL;
	ITEMS
	{
		Page_process_yt_1
	}
}

MENU Page_process_yt_1
{
	LABEL	[menu_yt_diagram];
	ITEMS
	{

#ifdef YT11_LABEL
		Val_YT11,
#endif

#ifdef YT12_LABEL
		Val_YT12,
#endif

#ifdef YT13_LABEL
		Val_YT13,
#endif

#ifdef YT14_LABEL
		Val_YT14,
#endif

		OCX_out_display_yt_1
	}
}

#ifdef YT11_LABEL
MENU Val_YT11
{
	LABEL	YT11_LABEL;
	STYLE	"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT11_VALUE	(READ_ONLY)
	}
}
#endif

#ifdef YT12_LABEL
MENU Val_YT12
{
	LABEL	YT12_LABEL;
	STYLE	"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT12_VALUE	(READ_ONLY)
	}
}
#endif

#ifdef YT13_LABEL
MENU Val_YT13
{
	LABEL	YT13_LABEL;
	STYLE	"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT13_VALUE	(READ_ONLY)
	}
}
#endif

#ifdef YT14_LABEL
MENU Val_YT14
{
	LABEL	YT14_LABEL;
	STYLE	"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT14_VALUE	(READ_ONLY)
	}
}
#endif

MENU OCX_out_display_yt_1					// OCX-Control 2
{
	LABEL	[menu_yt_diagram] ;
	STYLE	"PDMTVPROXY.PDMTVProxyCtrl.1";	// Name, unter dem das OCX in Windows registriert ist
	ITEMS
	{
		OCX_ProfilNum_yt_1,					// Profil-Nummer

#ifdef YT11_LABEL
		OCX_out_display_11					// 1. Kurve
#endif

#ifdef YT12_LABEL
		OCX_out_display_12,					// 2. Kurve
#endif

#ifdef YT13_LABEL
		OCX_out_display_13					// 3. Kurve
#endif

#ifdef YT14_LABEL
		OCX_out_display_14					// 4. Kurve
#endif

		OCX_UserSettings_yt_1				// Fr Speicherung von Settings, die vom Benutzer zur Laufzeit gendert wurden
	}
}

#ifdef YT11_LABEL
MENU OCX_out_display_11						// 1. Kurve im OCX-Control yt
{
	LABEL	YT11_LABEL;
	STYLE	"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT11_VALUE	(READ_ONLY),
		YT11_LRV	(READ_ONLY),
		YT11_URV	(READ_ONLY)
	}
}
#endif

#ifdef YT12_LABEL
MENU OCX_out_display_12						// 2. Kurve im OCX-Control yt
{
	LABEL	YT12_LABEL;
	STYLE	"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT12_VALUE	(READ_ONLY),
		YT12_LRV	(READ_ONLY),
		YT12_URV	(READ_ONLY)
	}
}
#endif

#ifdef YT13_LABEL
MENU OCX_out_display_13						// 3. Kurve im OCX-Control yt
{
	LABEL	YT13_LABEL;
	STYLE	"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT13_VALUE	(READ_ONLY),
		YT13_LRV	(READ_ONLY),
		YT13_URV	(READ_ONLY)
	}
}
#endif

#ifdef YT14_LABEL
MENU OCX_out_display_14						// 1. Kurve im OCX-Control yt
{
	LABEL	YT14_LABEL;
	STYLE	"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT14_VALUE	(READ_ONLY),
		YT14_LRV	(READ_ONLY),
		YT14_URV	(READ_ONLY)
	}
}
#endif

VARIABLE OCX_ProfilNum_yt_1					// Profil-Variable fr OCX yt
{
	LABEL	"ProfilID";
	STYLE	"OCX_PROPERTY";
	CLASS	LOCAL;
	TYPE	INTEGER(2)
	{
		DEFAULT_VALUE	1004;				// Profil 1004 : y-t mit Farbwahl
	}
	HANDLING    READ;
}

VARIABLE OCX_UserSettings_yt_1				// Fr Speicherung von Settings, die vom Benutzer zur Laufzeit gendert wurden
{
	LABEL	"UserSettings";
	STYLE	"OCX_PROPERTY";
	CLASS	LOCAL;
	TYPE	ASCII (1000)
	{
		DEFAULT_VALUE	"";
	}
	HANDLING	READ & WRITE;
}

