/*===================================================================
 File name:	    T_6680_0A8A_menu.inc
 Date:      	  Aug. 21. 2006
---------------------------------------------------------------------
 DESCRIPTION:
 Device Configuration Menu
                                      
 DEVICE:
 T6680 Humidity Device 
---------------------------------------------------------------------
 Revision history:
 REV 0.01 DATE:210806	 TMG/WZ first release

===================================================================*/

#include "T_6680_0A8A_relais.inc"


/**************************************************/
/******************* Macros ***********************/
/**************************************************/

#define default_menu_m1\
    { 8, [Temperature] },\
    { 1, [Dew_Point] },\
    { 2, [Absolute_Humidity] },\
    { 3, [Specific_Humidity] },\
    { 4, [Enthalpie] },\
    { 5, [Psychrometertemperature] },\
    { 6, [Vapour_partial_pressure] },\
    { 7, [Water_Content] }

#define default_menu_m2\
    { 0, [Relative_Humidity] },\
    { 1, [Dew_Point] },\
    { 2, [Absolute_Humidity] },\
    { 3, [Specific_Humidity] },\
    { 4, [Enthalpie] },\
    { 5, [Psychrometertemperature] },\
    { 6, [Vapour_partial_pressure] },\
    { 7, [Water_Content]}


#define menu_0\
    { 1, [Dew_Point] },\
    { 2, [Absolute_Humidity] },\
    { 3, [Specific_Humidity] },\
    { 4, [Enthalpie] },\
    { 5, [Psychrometertemperature] },\
    { 6, [Vapour_partial_pressure] },\
    { 7, [Water_Content]}
    

#define menu_1\
    { 0, [Relative_Humidity] },\
    { 2, [Absolute_Humidity] },\
    { 3, [Specific_Humidity] },\
    { 4, [Enthalpie] },\
    { 5, [Psychrometertemperature] },\
    { 6, [Vapour_partial_pressure] },\
    { 7, [Water_Content]}


#define menu_2\
    { 0, [Relative_Humidity] },\
    { 1, [Dew_Point] },\
    { 3, [Specific_Humidity] },\
    { 4, [Enthalpie] },\
    { 5, [Psychrometertemperature] },\
    { 6, [Vapour_partial_pressure] },\
    { 7, [Water_Content]}


#define menu_3\
    { 0, [Relative_Humidity] },\
    { 1, [Dew_Point] },\
    { 2, [Absolute_Humidity] },\
    { 4, [Enthalpie] },\
    { 5, [Psychrometertemperature] },\
    { 6, [Vapour_partial_pressure] },\
    { 7, [Water_Content]}


#define menu_4\
    { 0, [Relative_Humidity] },\
    { 1, [Dew_Point] },\
    { 2, [Absolute_Humidity] },\
    { 3, [Specific_Humidity] },\
    { 5, [Psychrometertemperature] },\
    { 6, [Vapour_partial_pressure] },\
    { 7, [Water_Content]}



#define menu_5\
    { 0, [Relative_Humidity] },\
    { 1, [Dew_Point] },\
    { 2, [Absolute_Humidity] },\
    { 3, [Specific_Humidity] },\
    { 4, [Enthalpie] },\
    { 6, [Vapour_partial_pressure] },\
    { 7, [Water_Content]}


#define menu_6\
    { 0, [Relative_Humidity] },\
    { 1, [Dew_Point] },\
    { 2, [Absolute_Humidity] },\
    { 3, [Specific_Humidity] },\
    { 4, [Enthalpie] },\
    { 5, [Psychrometertemperature] },\
    { 7, [Water_Content]}


#define menu_7\
    { 0, [Relative_Humidity] },\
    { 1, [Dew_Point] },\
    { 2, [Absolute_Humidity] },\
    { 3, [Specific_Humidity] },\
    { 4, [Enthalpie] },\
    { 5, [Psychrometertemperature] },\
    { 6, [Vapour_partial_pressure] }


#define menu_0_mit_temp\
    { 8, [Temperature] },\
    { 1, [Dew_Point] },\
    { 2, [Absolute_Humidity] },\
    { 3, [Specific_Humidity] },\
    { 4, [Enthalpie] },\
    { 5, [Psychrometertemperature] },\
    { 6, [Vapour_partial_pressure] },\
    { 7, [Water_Content]}


#define menu_1_mit_temp\
    { 8, [Temperature] },\
    { 0, [Relative_Humidity] },\
    { 2, [Absolute_Humidity] },\
    { 3, [Specific_Humidity] },\
    { 4, [Enthalpie] },\
    { 5, [Psychrometertemperature] },\
    { 6, [Vapour_partial_pressure] },\
    { 7, [Water_Content]}

#define menu_2_mit_temp\
    { 8, [Temperature] },\
    { 0, [Relative_Humidity] },\
    { 1, [Dew_Point] },\
    { 3, [Specific_Humidity] },\
    { 4, [Enthalpie] },\
    { 5, [Psychrometertemperature] },\
    { 6, [Vapour_partial_pressure] },\
    { 7, [Water_Content]}


#define menu_3_mit_temp\
    { 8, [Temperature] },\
    { 0, [Relative_Humidity] },\
    { 1, [Dew_Point] },\
    { 2, [Absolute_Humidity] },\
    { 4, [Enthalpie] },\
    { 5, [Psychrometertemperature] },\
    { 6, [Vapour_partial_pressure] },\
    { 7, [Water_Content]}


#define menu_4_mit_temp\
    { 8, [Temperature] },\
    { 0, [Relative_Humidity] },\
    { 1, [Dew_Point] },\
    { 2, [Absolute_Humidity] },\
    { 3, [Specific_Humidity] },\
    { 5, [Psychrometertemperature] },\
    { 6, [Vapour_partial_pressure] },\
    { 7, [Water_Content]}


#define menu_5_mit_temp\
    { 8, [Temperature] },\
    { 0, [Relative_Humidity] },\
    { 1, [Dew_Point] },\
    { 2, [Absolute_Humidity] },\
    { 3, [Specific_Humidity] },\
    { 4, [Enthalpie] },\
    { 6, [Vapour_partial_pressure] },\
    { 7, [Water_Content]}


#define menu_6_mit_temp\
    { 8, [Temperature] },\
    { 0, [Relative_Humidity] },\
    { 1, [Dew_Point] },\
    { 2, [Absolute_Humidity] },\
    { 3, [Specific_Humidity] },\
    { 4, [Enthalpie] },\
    { 5, [Psychrometertemperature] },\
    { 7, [Water_Content]}


#define menu_7_mit_temp\
    { 8, [Temperature] },\
    { 0, [Relative_Humidity] },\
    { 1, [Dew_Point] },\
    { 2, [Absolute_Humidity] },\
    { 3, [Specific_Humidity] },\
    { 4, [Enthalpie] },\
    { 5, [Psychrometertemperature] },\
    { 6, [Vapour_partial_pressure] }



/**************************************************/
/*************** Windows and dialogs **************/
/**************************************************/

MENU Offline_Dialog_Menu_device_parametrierung_s
{
	LABEL		[Menu_device_parametrierung];
  STYLE   GROUP;
//	HELP		[Menu_device_parametrierung_help];
	ACCESS      OFFLINE;
	ITEMS
	{
      device_setting_s, 
		  relais_menu_s
	}
	PRE_EDIT_ACTIONS
	{
	  method_refresh_device_configuration_settings // Liest die Tabellenwerte nach einem Upload und setzt die Channel_x-Werte entsprechend
    method_initialize_Channel_1_unit // Channel_x ist nun bestimmt, also werden jetzt in diesen beiden Methoden
    method_initialize_Channel_2_unit // die Einheiten in die Oberflche entsprechend der Tabelle gesetzt.
	}
	POST_EDIT_ACTIONS
	{
		method_set_values_locally // beim Verlasssen des Mens werden die AI + TB - Werte in der Tabelle aktualisiert
		method_set_units_locally  // beim Verlasssen des Mens werden die Einheiten in der Tabelle aktualisiert
	}
}

MENU Offline_Dialog_Menu_device_parametrierung_m
{
	LABEL		[Menu_device_parametrierung];
  STYLE   GROUP;
//	HELP		[Menu_device_parametrierung_help];
	ACCESS      OFFLINE;
	ITEMS
	{
      device_setting_m, 
		  relais_menu_m
	}
	PRE_EDIT_ACTIONS
	{
	  method_refresh_device_configuration_settings // Liest die Tabellenwerte nach einem Upload und setzt die Channel_x-Werte entsprechend
    method_initialize_Channel_1_unit // Channel_x ist nun bestimmt, also werden jetzt in diesen beiden Methoden
    method_initialize_Channel_2_unit // die Einheiten in die Oberflche entsprechend der Tabelle gesetzt.
	}
	POST_EDIT_ACTIONS
	{
		method_set_values_locally // beim Verlasssen des Mens werden die AI + TB - Werte in der Tabelle aktualisiert
		method_set_units_locally  // beim Verlasssen des Mens werden die Einheiten in der Tabelle aktualisiert
	}
}

MENU device_setting_s
{
	LABEL   [device_setting];
	ITEMS
	{
		method_read_device_setting,
		SEPARATOR
		Group_phys_write_locking_s,
		Group_channel_setting_s
		/*,  
				"AI 1",
		func1_AI_target_mode,
		"AI 2",
		func2_AI_target_mode,
		"TB 1",
		trans2_target_mode,
	  "TB 2",
	  trans1_target_mode,
    method_set_blocks_to_out_of_service_mode,
    method_set_blocks_to_auto_mode	*/          
	}
}


MENU device_setting_m
{
	LABEL   [device_setting];
	ITEMS
	{
		method_read_device_setting,
		SEPARATOR
		Group_phys_write_locking_m,
		Group_channel_setting_m
	}
}


MENU Group_phys_write_locking_s
{
  LABEL		[Group_phys_write_locking];
  STYLE   GROUP;
	ACCESS      OFFLINE;
	ITEMS
	{
		phys_write_locking,
	  SEPARATOR,
    method_write_pyhs_write_locking_value_to_device // verndert phys_write_locking
  }
}

MENU Group_phys_write_locking_m
{
  LABEL		[Group_phys_write_locking];
  STYLE   GROUP;
	ACCESS      OFFLINE;
	ITEMS
	{
		phys_write_locking (READ_ONLY)
  }
}

MENU Group_channel_setting_s
{
  LABEL		[Group_channel_setting];
  STYLE   GROUP;
	ACCESS      OFFLINE;
	ITEMS
	{
		Channel_1,
		Channel_1_Einheit,
	  method_set_device_parameter, 
    SEPARATOR,
		Channel_2,
		Channel_2_Einheit
  }
}

MENU Group_channel_setting_m
{
  LABEL		[Group_channel_setting];
  STYLE   GROUP;
	ACCESS      OFFLINE;
	ITEMS
	{
		Channel_1 (READ_ONLY),
		Channel_1_Einheit (READ_ONLY),
    SEPARATOR,
		Channel_2 (READ_ONLY),
		Channel_2_Einheit (READ_ONLY)
  }
}




/**************************************************/
/****************** Variables *********************/
/**************************************************/


VARIABLE channel_1_merker
{
	LABEL [channel_1_merker];
	CLASS LOCAL;
  TYPE  ENUMERATED (2)
  {
  	8
  }
  HANDLING READ & WRITE;
}

VARIABLE channel_2_merker
{
	LABEL [channel_2_merker];
	CLASS LOCAL;
  TYPE  ENUMERATED (2)
  {
  	0
  }
  HANDLING READ & WRITE;
}

VARIABLE menu_chgreq
{
	LABEL [menu_chgreq];
	CLASS LOCAL;
  TYPE  INTEGER (2)
  {
  	DEFAULT_VALUE 0;
  }
  HANDLING READ & WRITE;
}

VARIABLE channel_1_not_in_default
{
	LABEL [channel_1_not_in_default];
	CLASS LOCAL;
	TYPE INTEGER (1)
	{
		DEFAULT_VALUE 0;
	}
}

VARIABLE channel_2_not_in_default
{
	LABEL [channel_2_not_in_default];
	CLASS LOCAL;
	TYPE INTEGER (1)
	{
		DEFAULT_VALUE 0;
	}
}


VARIABLE Channel_1
{
	LABEL [Channel_1];
  CLASS CONTAINED;
  TYPE ENUMERATED (2)
    {
    	IF ((channel_1_not_in_default == 0) && (menu_chgreq == 0))
    	{
    		default_menu_m1
    	}
    	IF ((channel_2_merker == Channel_2)&& (menu_chgreq == 1))
    	{
    		default_menu_m1
    	}
    	IF ((channel_2_merker != Channel_2) && (menu_chgreq == 1))
    	{
    		SELECT(Channel_2)
    			{
    				CASE 0: menu_0_mit_temp
      		  CASE 1: menu_1_mit_temp
        		CASE 2: menu_2_mit_temp
        		CASE 3: menu_3_mit_temp
        		CASE 4: menu_4_mit_temp
        		CASE 5: menu_5_mit_temp
        		CASE 6: menu_6_mit_temp
        		CASE 7: menu_7_mit_temp
          }
       }
    }
  PRE_EDIT_ACTIONS
  {
  	DEFINITION
  	{
  		channel_1_merker = Channel_1;
  	}
  }
  POST_EDIT_ACTIONS
  {
  	DEFINITION
	  {
	  	menu_chgreq = 1;
	  	channel_1_not_in_default = 1;
	  }
  	method_update_Channel_2_value
  	method_update_Channel_1_unit
  }
  HANDLING READ & WRITE;
}


VARIABLE Channel_2
{
	LABEL [Channel_2];
  CLASS CONTAINED;
  TYPE ENUMERATED (2)
    {
  	  IF ((channel_2_not_in_default == 0) && (menu_chgreq == 0))
      {
      	default_menu_m2
      }
  	  IF ((channel_1_merker == Channel_1)&&(menu_chgreq == 1))
      {
      	default_menu_m2
      }

    	IF ((channel_1_merker != Channel_1) && (menu_chgreq == 1))
    	{
   			SELECT(Channel_1)
    			{
    				CASE 8: default_menu_m2
      		  CASE 0: menu_0
      		  CASE 1: menu_1
        		CASE 2: menu_2
        		CASE 3: menu_3
        		CASE 4: menu_4
        		CASE 5: menu_5
        		CASE 6: menu_6
        		CASE 7: menu_7
         	}
       }
  	}
  PRE_EDIT_ACTIONS
  {
  	DEFINITION
  	{
  		channel_2_merker = Channel_2;
  	}
  }
  POST_EDIT_ACTIONS
  {
 	DEFINITION
	  {
	  	menu_chgreq = 1;
	  	channel_2_not_in_default = 1;
	  }
  	method_update_Channel_1_value
  	method_update_Channel_2_unit
  }
  HANDLING READ & WRITE;
}


VARIABLE Channel_1_Einheit
{
	LABEL [Channel_1_Einheit];
	CLASS LOCAL;
	TYPE ENUMERATED (2)
	{
		DEFAULT_VALUE 1001;
		SELECT(Channel_1)
		{
			CASE 8:
			{1001,[unit_1001]}, // Grad C
			{1000,[unit_1000]}, // K
			{1002,[unit_1002]}, // Grad F
			{1003,[unit_1003]}  // Rankine
			CASE 0:
			{1342,[unit_1342]}  // %
			CASE 1:
			{1001,[unit_1001]}, // Grad C td
			{1002,[unit_1002]}	// Grad F td
			CASE 2:
			{1101,[unit_1101]}, // g/m3
			{32772,[unit_32772]} // gr/ft3
			CASE 3:
			{32768,[unit_32768]}, // g/kg
			{32769,[unit_32769]}	// gr/lb
			CASE 4:
			{32770,[unit_32770]},  // J/g
			{32771,[unit_32771]}   // BTU/lb
			CASE 5:
			{1001,[unit_1001]},  // Grad C
			{1002,[unit_1002]}   // Grad F
			CASE 6:
			{1136,[unit_1136]},  // hPa
			{1146,[unit_1146]}   // inch H2O
			CASE 7:
			{1423,[unit_1423]}   // ppm
		}
 	}
	HANDLING READ & WRITE;
}

VARIABLE Channel_2_Einheit
{
	LABEL [Channel_2_Einheit];
	CLASS LOCAL;
	TYPE ENUMERATED (2)
	{
		DEFAULT_VALUE 1342;
		SELECT(Channel_2)
		{
			CASE 0:
			{1342,[unit_1342]} // %
			CASE 1:
			{1001,[unit_1001]}, // Grad C
			{1002,[unit_1002]}	 // Grad F
			CASE 2:
			{1101,[unit_1101]},  // g/m3
			{32772,[unit_32772]} // gr/ft3
			CASE 3:
			{32768,[unit_32768]},  // g/kg
			{32769,[unit_32769]} //	gr/lb
			CASE 4:
			{32770,[unit_32770]},   // J/g
			{32771,[unit_32771]}   // BTU/lb
			CASE 5:
			{1001,[unit_1001]}, // Grad C
			{1002,[unit_1002]}  // Grad F
			CASE 6:
			{1136,[unit_1136]},   // hPa
			{1146,[unit_1146]}    // inch H2O
			CASE 7:
			{1423,[unit_1423]}    // ppm
		}
	}
	HANDLING READ & WRITE;
}


/**************************************************/
/********************  Methods  *******************/
/**************************************************/

/* Wenn eine gltige Einheit eingestellt ist, aktualisiere die Einheiten in der Tabellendarstellung;
 aber nur dann, wenn auf beiden Kanlen etwas gltiges steht;
 Die Methode muss immer vor einem Download der Variablen ins Gert aufgerufen werden
 also beim Verlassen des Gerteparametriermens
 und bevor aus dem Gerteparametriermen ein Set_Device.. gemacht wird
*/

METHOD method_set_units_locally
{
	LABEL		[method_set_units_locally];
	CLASS		LOCAL;
	DEFINITION
	{
			/*Temperatur*/
			if ((Channel_1 == 8) && (Channel_1_Einheit == 1000))
			{
				func1_AI_out_unit = 1000;
  		  trans1_primary_value_unit = 1000;
   	  }
			if ((Channel_1 == 8) && (Channel_1_Einheit == 1001))
			{
				func1_AI_out_unit = 1001;
  		  trans1_primary_value_unit = 1001;
  	  }
			if ((Channel_1 == 8) && (Channel_1_Einheit == 1002))
			{
				func1_AI_out_unit = 1002;
  		  trans1_primary_value_unit = 1002;
  	  }
			if ((Channel_1 == 8) && (Channel_1_Einheit == 1003))
			{
				func1_AI_out_unit = 1003;
  		  trans1_primary_value_unit = 1003;
  	  }
    /*Relative Feuchte*/
			if ((Channel_1 == 0) && (Channel_1_Einheit == 1342))
			{
				func1_AI_out_unit = 1342;
  		  trans2_hm_primary_value_unit = 1342;
  	  }
    /*Taupunkt*/
		if ((Channel_1 == 1) && (Channel_1_Einheit == 1001))
			{
				func1_AI_out_unit = 1001;
  		  trans2_hm_primary_value_unit = 1001;
  	  }
		if ((Channel_1 == 1) && (Channel_1_Einheit == 1002))
			{
				func1_AI_out_unit = 1002;
  		  trans2_hm_primary_value_unit = 1002;
  	  }
   /*Absolute Feuchte*/
		if ((Channel_1 == 2) && (Channel_1_Einheit == 1101))
			{
				func1_AI_out_unit = 1101;
  		  trans2_hm_primary_value_unit = 1101;
  	  }
		if ((Channel_1 == 2) && (Channel_1_Einheit == 32772))
			{
				func1_AI_out_unit = 32772;
  		  trans2_hm_primary_value_unit = 32772;
  	  }
    /*Spezifische Feuchte*/
		if ((Channel_1 == 3) && (Channel_1_Einheit == 32768))
			{
				func1_AI_out_unit = 32768;
  		  trans2_hm_primary_value_unit = 32768;
  	  }
		if ((Channel_1 == 3) && (Channel_1_Einheit == 32769))
			{
				func1_AI_out_unit = 32769;
  		  trans2_hm_primary_value_unit = 32769;
  	  }
    /*Enthalpie*/
		if ((Channel_1 == 4) && (Channel_1_Einheit == 32770))
			{
				func1_AI_out_unit = 32770;
  		  trans2_hm_primary_value_unit = 32770;
  	  }
		if ((Channel_1 == 4) && (Channel_1_Einheit == 32771))
			{
				func1_AI_out_unit = 32771;
  		  trans2_hm_primary_value_unit = 32771;
  	  }
    /*Psychometrische Temperatur*/
		if ((Channel_1 == 5) && (Channel_1_Einheit == 1001))
			{
				func1_AI_out_unit = 1001;
  		  trans2_hm_primary_value_unit = 1001;
  	  }
		if ((Channel_1 == 5) && (Channel_1_Einheit == 1002))
			{
				func1_AI_out_unit = 1002;
  		  trans2_hm_primary_value_unit = 1002;
  	  }
    /*Vapour Partial Druck*/
		if ((Channel_1 == 6) && (Channel_1_Einheit == 1136))
			{
				func1_AI_out_unit = 1136;
  		  trans2_hm_primary_value_unit = 1136;
  	  }
		if ((Channel_1 == 6) && (Channel_1_Einheit == 1146))
			{
				func1_AI_out_unit = 1146;
  		  trans2_hm_primary_value_unit = 1146;
  	  }
    /*Wassergehalt*/
	  if ((Channel_1 == 7) && (Channel_1_Einheit == 1423))
			{
				func1_AI_out_unit = 1423;
  		  trans2_hm_primary_value_unit = 1423;
  	  }

/*dann fr Kanal 2*/

      if (Channel_1 == 8)
      {
        /*Relative Feuchte*/
  			if ((Channel_2 == 0) && (Channel_2_Einheit == 1342))
  			{
  				func2_AI_out_unit = 1342;
    		  trans2_hm_secondary_value_unit_1 = 1342;
          trans2_hm_primary_value_unit = 1342;
    	  }
        /*Taupunkt*/
    		if ((Channel_2 == 1) && (Channel_2_Einheit == 1001))
    			{
    				func2_AI_out_unit = 1001;
      		  trans2_hm_secondary_value_unit_1 = 1001;
            trans2_hm_primary_value_unit = 1001;
      	  }
    		if ((Channel_2 == 1) && (Channel_2_Einheit == 1002))
    			{
    				func2_AI_out_unit = 1002;
      		  trans2_hm_secondary_value_unit_1 = 1002;
            trans2_hm_primary_value_unit = 1002;
      	  }
       /*Absolute Feuchte*/
    		if ((Channel_2 == 2) && (Channel_2_Einheit == 1101))
    			{
    				func2_AI_out_unit = 1101;
      		  trans2_hm_secondary_value_unit_1 = 1101;
            trans2_hm_primary_value_unit = 1101;
      	  }
    		if ((Channel_2 == 2) && (Channel_2_Einheit == 32772))
    			{
    				func2_AI_out_unit = 32772;
      		  trans2_hm_secondary_value_unit_1 = 32772;
            trans2_hm_primary_value_unit = 32772;
      	  }
        /*Spezifische Feuchte*/
    		if ((Channel_2 == 3) && (Channel_2_Einheit == 32768))
    			{
    				func2_AI_out_unit = 32768;
      		  trans2_hm_secondary_value_unit_1 = 32768;
            trans2_hm_primary_value_unit = 32768;
      	  }
    		if ((Channel_2 == 3) && (Channel_2_Einheit == 32769))
    			{
    				func2_AI_out_unit = 32769;
      		  trans2_hm_secondary_value_unit_1 = 32769;
            trans2_hm_primary_value_unit = 32769;
      	  }
        /*Enthalpie*/
    		if ((Channel_2 == 4) && (Channel_2_Einheit == 32770))
    			{
    				func2_AI_out_unit = 32770;
      		  trans2_hm_secondary_value_unit_1 = 32770;
            trans2_hm_primary_value_unit = 32770;
      	  }
    		if ((Channel_2 == 4) && (Channel_2_Einheit == 32771))
    			{
    				func2_AI_out_unit = 32771;
      		  trans2_hm_secondary_value_unit_1 = 32771;
            trans2_hm_primary_value_unit = 32771;
      	  }
        /*Psychometrische Temperatur*/
    		if ((Channel_2 == 5) && (Channel_2_Einheit == 1001))
    			{
    				func2_AI_out_unit = 1001;
      		  trans2_hm_secondary_value_unit_1 = 1001;
            trans2_hm_primary_value_unit = 1001;
      	  }
    		if ((Channel_2 == 5) && (Channel_2_Einheit == 1002))
    			{
    				func2_AI_out_unit = 1002;
      		  trans2_hm_secondary_value_unit_1 = 1002;
            trans2_hm_primary_value_unit = 1002;
      	  }
        /*Vapour Partial Druck*/
    		if ((Channel_2 == 6) && (Channel_2_Einheit == 1136))
    			{
    				func2_AI_out_unit = 1136;
      		  trans2_hm_secondary_value_unit_1 = 1136;
            trans2_hm_primary_value_unit = 1136;
      	  }
    		if ((Channel_2 == 6) && (Channel_2_Einheit == 1146))
    			{
    				func2_AI_out_unit = 1146;
      		  trans2_hm_secondary_value_unit_1 = 1146;
            trans2_hm_primary_value_unit = 1146;
      	  }
        /*Wassergehalt*/
    	  if ((Channel_2 == 7) && (Channel_2_Einheit == 1423))
    			{
    				func2_AI_out_unit = 1423;
      		  trans2_hm_secondary_value_unit_1 = 1423;
            trans2_hm_primary_value_unit = 1423;
      	  }
    	}
    	else
    	{
        /*Relative Feuchte*/
  			if ((Channel_2 == 0) && (Channel_2_Einheit == 1342))
  			{
  				func2_AI_out_unit = 1342;
    		  trans2_hm_secondary_value_unit_1 = 1342;
    	  }
        /*Taupunkt*/
    		if ((Channel_2 == 1) && (Channel_2_Einheit == 1001))
    			{
    				func2_AI_out_unit = 1001;
      		  trans2_hm_secondary_value_unit_1 = 1001;
      	  }
    		if ((Channel_2 == 1) && (Channel_2_Einheit == 1002))
    			{
    				func2_AI_out_unit = 1002;
      		  trans2_hm_secondary_value_unit_1 = 1002;
      	  }
       /*Absolute Feuchte*/
    		if ((Channel_2 == 2) && (Channel_2_Einheit == 1101))
    			{
    				func2_AI_out_unit = 1101;
      		  trans2_hm_secondary_value_unit_1 = 1101;
      	  }
    		if ((Channel_2 == 2) && (Channel_2_Einheit == 32772))
    			{
    				func2_AI_out_unit = 32772;
      		  trans2_hm_secondary_value_unit_1 = 32772;
      	  }
        /*Spezifische Feuchte*/
    		if ((Channel_2 == 3) && (Channel_2_Einheit == 32768))
    			{
    				func2_AI_out_unit = 32768;
      		  trans2_hm_secondary_value_unit_1 = 32768;
      	  }
    		if ((Channel_2 == 3) && (Channel_2_Einheit == 32769))
    			{
    				func2_AI_out_unit = 32769;
      		  trans2_hm_secondary_value_unit_1 = 32769;
      	  }
        /*Enthalpie*/
    		if ((Channel_2 == 4) && (Channel_2_Einheit == 32770))
    			{
    				func2_AI_out_unit = 32770;
      		  trans2_hm_secondary_value_unit_1 = 32770;
       	  }
    		if ((Channel_2 == 4) && (Channel_2_Einheit == 32771))
    			{
    				func2_AI_out_unit = 32771;
      		  trans2_hm_secondary_value_unit_1 = 32771;
      	  }
        /*Psychometrische Temperatur*/
    		if ((Channel_2 == 5) && (Channel_2_Einheit == 1001))
    			{
    				func2_AI_out_unit = 1001;
      		  trans2_hm_secondary_value_unit_1 = 1001;
      	  }
    		if ((Channel_2 == 5) && (Channel_2_Einheit == 1002))
    			{
    				func2_AI_out_unit = 1002;
      		  trans2_hm_secondary_value_unit_1 = 1002;
      	  }
        /*Vapour Partial Druck*/
    		if ((Channel_2 == 6) && (Channel_2_Einheit == 1136))
    			{
    				func2_AI_out_unit = 1136;
      		  trans2_hm_secondary_value_unit_1 = 1136;
      	  }
    		if ((Channel_2 == 6) && (Channel_2_Einheit == 1146))
    			{
    				func2_AI_out_unit = 1146;
      		  trans2_hm_secondary_value_unit_1 = 1146;
      	  }
        /*Wassergehalt*/
    	  if ((Channel_2 == 7) && (Channel_2_Einheit == 1423))
    			{
    				func2_AI_out_unit = 1423;
      		  trans2_hm_secondary_value_unit_1 = 1423;
      	  }    		
    	}

  }
}



//Diese Methode initialisiert die Enumerated Listen unter Channel_2 in Abhngikeit der Channel_1 Einstellung

METHOD method_update_Channel_2_value
{
	LABEL[update_Channel_2_value];
	CLASS LOCAL;
	DEFINITION
	{
    if ((Channel_1 == 8) && (Channel_2 == 0))
    {Channel_2 = 0;}
    if ((Channel_1 == 0) && (Channel_2 == 0))
    {Channel_2 = 1;}
    if ((Channel_1 == 1) && (Channel_2 == 1))
    {Channel_2 = 0;}
    if ((Channel_1 == 2) && (Channel_2 == 2))
    {Channel_2 = 0;}
    if ((Channel_1 == 3) && (Channel_2 == 3))
    {Channel_2 = 0;}
    if ((Channel_1 == 4) && (Channel_2 == 4))
    {Channel_2 = 0;}
    if ((Channel_1 == 5) && (Channel_2 == 5))
    {Channel_2 = 0;}
    if ((Channel_1 == 6) && (Channel_2 == 6))
    {Channel_2 = 0;}
	  if ((Channel_1 == 7) && (Channel_2 == 7))
	  {Channel_2 = 0;}
  }
}

METHOD method_update_Channel_1_value
{
	LABEL[update_channel_1_value];
	CLASS LOCAL;
	DEFINITION
	{
    if ((Channel_2 == 0) && (Channel_1 == 0)) 
    {Channel_1 = 8;}                          
    if ((Channel_2 == 1) && (Channel_1 == 1))
    {Channel_1 = 8;}
    if ((Channel_2 == 2) && (Channel_1 == 2))
    {Channel_1 = 8;}
    if ((Channel_2 == 3) && (Channel_1 == 3))
    {Channel_1 = 8;}
    if ((Channel_2 == 4) && (Channel_1 == 4))
    {Channel_1 = 8;}
    if ((Channel_2 == 5) && (Channel_1 == 5))
    {Channel_1 = 8;}
    if ((Channel_2 == 6) && (Channel_1 == 6))
    {Channel_1 = 8;}
    if ((Channel_2 == 7) && (Channel_1 == 7))
    {Channel_1 = 8;}
	}
}





/*
Diese Methode wird in der PRE_EDIT_ACTIONS des Mens Gerteparametrierung aufgerufen
und setzt die Einheiten in der Oberflche gem des ermittelten Channel_1 und der
in trans1_primary_value_unit bzw. trans2_hm_primary_value_unit stehenden Werte.
	    {1001,[unit_1001]},\ // Grad C fr Temperatur, Taupunkt und Psychometrische Temperatur
			{1000,[unit_1000]},\ // K fr Temperatur
			{1002,[unit_1002]},\ // Grad F fr Temperatur, Taupunkt und Psychometrische Temperatur
			{1003,[unit_1003]},\  // Rankine fr Temperatur
			{1342,[unit_1342]},\  // % fr Rel. Feuchte
			{1101,[unit_1101]},\ // g/m3 fr abs. Feuchte
			{32771,[unit_32771]},\ // gr/ft3 fr abs. Feuchte: nicht 1995 nehmen, sondern besser einen neuen Wert definieren wie 32771
			{32768,[unit_32768]},\ // g/kg fr spezifische Feuchte
			{32769,[unit_32769]},\	// gr/lb fr spezifische Feuchte
			{32770,[unit_32770]},\  // J/g SI fr Enthalpie
			{32771,[unit_32771]},\  // BTU/lb US fr Enthalpie
			{1136,[unit_1136]},\  // hPa fr Vapour Partial Pressure
			{1146,[unit_1146]},\   // inch H2O fr Vapour Partial Pressure
			{1423,[unit_1423]}   // ppm fr Wassergehalt

*/
METHOD method_initialize_Channel_1_unit
{
	LABEL[initialize_Channel_1_unit];
	CLASS LOCAL;
	DEFINITION
	{ /*Temperatur*/
		if ((Channel_1 == 8) && (trans1_primary_value_unit == 1000))
	     { Channel_1_Einheit = 1000; }
		if ((Channel_1 == 8) && (trans1_primary_value_unit == 1001))
	     { Channel_1_Einheit = 1001; }
		if ((Channel_1 == 8) && (trans1_primary_value_unit == 1002))
	     { Channel_1_Einheit = 1002; }
		if ((Channel_1 == 8) && (trans1_primary_value_unit == 1003))
	     { Channel_1_Einheit = 1003; }
    /*Relative Feuchte*/
		if ((Channel_1 == 0) && (trans2_hm_primary_value_unit == 1342))
	     { Channel_1_Einheit = 1342; }
    /*Taupunkt*/
		if ((Channel_1 == 1) && (trans2_hm_primary_value_unit == 1001))
	     { Channel_1_Einheit = 1001; }
		if ((Channel_1 == 1) && (trans2_hm_primary_value_unit == 1002))
	     { Channel_1_Einheit = 1002; }
    /*Absolute Feuchte*/
		if ((Channel_1 == 2) && (trans2_hm_primary_value_unit == 1101))
	     { Channel_1_Einheit = 1101; }
		if ((Channel_1 == 2) && (trans2_hm_primary_value_unit == 32772))
	     { Channel_1_Einheit = 32772; }
    /*Spezifische Feuchte*/
		if ((Channel_1 == 3) && (trans2_hm_primary_value_unit == 32768))
	     { Channel_1_Einheit = 32768; }
		if ((Channel_1 == 3) && (trans2_hm_primary_value_unit == 32769))
	     { Channel_1_Einheit = 32769; }
    /*Enthalpie*/
		if ((Channel_1 == 4) && (trans2_hm_primary_value_unit == 32770))
	     { Channel_1_Einheit = 32770; }
		if ((Channel_1 == 4) && (trans2_hm_primary_value_unit == 32771))
	     { Channel_1_Einheit = 32771; }
    /*Psychometrische Temperatur*/
		if ((Channel_1 == 5) && (trans2_hm_primary_value_unit == 1001))
	     { Channel_1_Einheit = 1001; }
		if ((Channel_1 == 5) && (trans2_hm_primary_value_unit == 1002))
	     { Channel_1_Einheit = 1002; }
    /*Vapour Partial Druck*/
		if ((Channel_1 == 6) && (trans2_hm_primary_value_unit == 1136))
	     { Channel_1_Einheit = 1136; }
		if ((Channel_1 == 6) && (trans2_hm_primary_value_unit == 1146))
	     { Channel_1_Einheit = 1146; }
    /*Wassergehalt*/
	  if ((Channel_1 == 7) && (trans2_hm_primary_value_unit == 1423))
	     { Channel_1_Einheit = 1423; }
	}
}

/*
Diese Methode wird in der PRE_EDIT_ACTIONS des Mens Gerteparametrierung aufgerufen
und setzt die Einheiten in der Oberflche gem des ermittelten Channel_2 und der
in trans2_hm_secondary_value_unit_1 stehenden Werte.

	    {1001,[unit_1001]},\ // Grad C fr Temperatur, Taupunkt und Psychometrische Temperatur
			{1000,[unit_1000]},\ // K fr Temperatur
			{1002,[unit_1002]},\ // Grad F fr Temperatur, Taupunkt und Psychometrische Temperatur
			{1003,[unit_1003]},\  // Rankine fr Temperatur
			{1342,[unit_1342]},\  // % fr Rel. Feuchte
			{1101,[unit_1101]},\ // g/m3 fr abs. Feuchte
			{32771,[unit_32771]},\ // gr/ft3 fr abs. Feuchte: nicht 1995 nehmen, sondern besser einen neuen Wert definieren wie 32771
			{32768,[unit_32768]},\ // g/kg fr spezifische Feuchte
			{32769,[unit_32769]},\	// gr/lb fr spezifische Feuchte
			{32770,[unit_32770]},\  // J/g SI fr Enthalpie
			{32771,[unit_32771]},\  // BTU/lb US fr Enthalpie
			{1136,[unit_1136]},\  // hPa fr Vapour Partial Pressure
			{1146,[unit_1146]},\   // inch H2O fr Vapour Partial Pressure
			{1423,[unit_1423]}   // ppm fr Wassergehalt

*/

METHOD method_initialize_Channel_2_unit
{
	LABEL[initialize_Channel_2_unit];
	CLASS LOCAL;
	DEFINITION
	{ /*Relative Feuchte*/
		if ((Channel_2 == 0) && (trans2_hm_secondary_value_unit_1 == 1342))
	     { Channel_2_Einheit = 1342; }
    /*Taupunkt*/
		if ((Channel_2 == 1) && (trans2_hm_secondary_value_unit_1 == 1001))
	     { Channel_2_Einheit = 1001; }
		if ((Channel_2 == 1) && (trans2_hm_secondary_value_unit_1 == 1002))
	     { Channel_2_Einheit = 1002; }
    /*Absolute Feuchte*/
		if ((Channel_2 == 2) && (trans2_hm_secondary_value_unit_1 == 1101))
	     { Channel_2_Einheit = 1101; }
		if ((Channel_2 == 2) && (trans2_hm_secondary_value_unit_1 == 32772))
	     { Channel_2_Einheit = 32772; }
    /*Spezifische Feuchte*/
		if ((Channel_2 == 3) && (trans2_hm_secondary_value_unit_1 == 32768))
	     { Channel_2_Einheit = 32768; }
		if ((Channel_2 == 3) && (trans2_hm_secondary_value_unit_1 == 32769))
	     { Channel_2_Einheit = 32769; }
    /*Enthalpie*/
		if ((Channel_2 == 4) && (trans2_hm_secondary_value_unit_1 == 32770))
	     { Channel_2_Einheit = 32770; }
		if ((Channel_2 == 4) && (trans2_hm_secondary_value_unit_1 == 32771))
	     { Channel_2_Einheit = 32771; }
    /*Psychometrische Temperatur*/
		if ((Channel_2 == 5) && (trans2_hm_secondary_value_unit_1 == 1001))
	     { Channel_2_Einheit = 1001; }
		if ((Channel_2 == 5) && (trans2_hm_secondary_value_unit_1 == 1002))
	     { Channel_2_Einheit = 1002; }
    /*Vapour Partial Druck*/
		if ((Channel_2 == 6) && (trans2_hm_secondary_value_unit_1 == 1136))
	     { Channel_2_Einheit = 1136; }
		if ((Channel_2 == 6) && (trans2_hm_secondary_value_unit_1 == 1146))
	     { Channel_2_Einheit = 1146; }
    /*Wassergehalt*/
	  if ((Channel_2 == 7) && (trans2_hm_secondary_value_unit_1 == 1423))
	     { Channel_2_Einheit = 1423; }
	}
}


METHOD method_update_Channel_1_unit
{
	LABEL[update_channel_1_unit];
	CLASS LOCAL;
	DEFINITION
	{
		if (Channel_1 == 8)
	     { Channel_1_Einheit = 1001; }

		if (Channel_1 == 0)           
	     { Channel_1_Einheit = 1342; }

		if (Channel_1 == 1)
	     { Channel_1_Einheit = 1001; }

		if (Channel_1 == 2)
	     { Channel_1_Einheit = 1101; }

		if (Channel_1 == 3)
	     { Channel_1_Einheit = 32768; }

		if (Channel_1 == 4)
	     { Channel_1_Einheit = 32770; }

		if (Channel_1 == 5)
	     { Channel_1_Einheit = 1001; }

		if (Channel_1 == 6)
	     { Channel_1_Einheit = 1136; }

	  if (Channel_1 == 7)
	     { Channel_1_Einheit = 1423; }
	}
}


METHOD method_update_Channel_2_unit
{
	LABEL[update_Channel_2_unit];
	CLASS LOCAL;
	DEFINITION
	{
		if (Channel_2 == 0)
	     { Channel_2_Einheit = 1342; }

		if (Channel_2 == 1)
	     { Channel_2_Einheit = 1001; }

		if (Channel_2 == 2)
	     { Channel_2_Einheit = 1101; }

		if (Channel_2 == 3)
	     { Channel_2_Einheit = 32768; }

		if (Channel_2 == 4)
	     { Channel_2_Einheit = 32770; }

		if (Channel_2 == 5)
	     { Channel_2_Einheit = 1001; }

		if (Channel_2 == 6)
	     { Channel_2_Einheit = 1136; }

	  if (Channel_2 == 7)
	     { Channel_2_Einheit = 1423; }
	}
}

METHOD method_read_device_setting
{
	LABEL		[read_device_setting];
	DEFINITION
	{
    ReadCommand (read_phys_write_locking);
    ReadCommand (read_func1_AI_channel);
    ReadCommand (read_func2_AI_channel);
    ReadCommand (read_trans2_hm_primary_value_type);
    ReadCommand (read_trans2_hm_secondary_value_type_1);
    ReadCommand (read_trans1_primary_value_unit);
    ReadCommand (read_trans2_hm_primary_value_unit);
    ReadCommand (read_trans2_hm_secondary_value_unit_1);
    ReadCommand (read_func1_AI_out_scale);
    ReadCommand (read_func2_AI_out_scale);
  	ReadCommand (read_func2_AI_target_mode);
		ReadCommand (read_func1_AI_target_mode);
		ReadCommand (read_trans2_target_mode);
		ReadCommand (read_trans1_target_mode);
		// hier muss nun noch das Update fr Kanal und einheit gemacht werden
		if ((func1_AI_channel == THERMO_RESISTANCE_CHANNEL) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_secondary_value_type_1 == 0x00))
		{ Channel_1 = 0x08;
			Channel_2 = 0x00;
		}
		if ((func1_AI_channel == THERMO_RESISTANCE_CHANNEL) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_secondary_value_type_1 == 0x01))
		{ Channel_1 = 0x08;
			Channel_2 = 0x01;
		}
		if ((func1_AI_channel == THERMO_RESISTANCE_CHANNEL) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_secondary_value_type_1 == 0x02))
		{ Channel_1 = 0x08;
			Channel_2 = 0x02;
		}
		if ((func1_AI_channel == THERMO_RESISTANCE_CHANNEL) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_secondary_value_type_1 == 0x03))
		{ Channel_1 = 0x08;
			Channel_2 = 0x03;
		}
		if ((func1_AI_channel == THERMO_RESISTANCE_CHANNEL) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_secondary_value_type_1 == 0x04))
		{ Channel_1 = 0x08;
			Channel_2 = 0x04;
		}
		if ((func1_AI_channel == THERMO_RESISTANCE_CHANNEL) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_secondary_value_type_1 == 0x05))
		{ Channel_1 = 0x08;
			Channel_2 = 0x05;
		}
		if ((func1_AI_channel == THERMO_RESISTANCE_CHANNEL) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_secondary_value_type_1 == 0x06))
		{ Channel_1 = 0x08;
			Channel_2 = 0x06;
		}
		if ((func1_AI_channel == THERMO_RESISTANCE_CHANNEL) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_secondary_value_type_1 == 0x07))
		{ Channel_1 = 0x08;
			Channel_2 = 0x07;
		}
		// Kanal 1 Relative Feuchte und Kanal 2 alles andere
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x00) && (trans2_hm_secondary_value_type_1 == 0x01))
		{ Channel_1 = 0x00;
			Channel_2 = 0x01;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x00) && (trans2_hm_secondary_value_type_1 == 0x02))
		{ Channel_1 = 0x00;
			Channel_2 = 0x02;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x00) && (trans2_hm_secondary_value_type_1 == 0x03))
		{ Channel_1 = 0x00;
			Channel_2 = 0x03;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x00) && (trans2_hm_secondary_value_type_1 == 0x04))
		{ Channel_1 = 0x00;
			Channel_2 = 0x04;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x00) && (trans2_hm_secondary_value_type_1 == 0x05))
		{ Channel_1 = 0x00;
			Channel_2 = 0x05;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x00) && (trans2_hm_secondary_value_type_1 == 0x06))
		{ Channel_1 = 0x00;
			Channel_2 = 0x06;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x00) && (trans2_hm_secondary_value_type_1 == 0x07))
		{ Channel_1 = 0x00;
			Channel_2 = 0x07;
		}
		// Kanal 1 Taupunkt und Kanal 2 alles andere
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x01) && (trans2_hm_secondary_value_type_1 == 0x00))
		{ Channel_1 = 0x01;
			Channel_2 = 0x00;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x01) && (trans2_hm_secondary_value_type_1 == 0x02))
		{ Channel_1 = 0x01;
			Channel_2 = 0x02;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x01) && (trans2_hm_secondary_value_type_1 == 0x03))
		{ Channel_1 = 0x01;
			Channel_2 = 0x03;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x01) && (trans2_hm_secondary_value_type_1 == 0x04))
		{ Channel_1 = 0x01;
			Channel_2 = 0x04;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x01) && (trans2_hm_secondary_value_type_1 == 0x05))
		{ Channel_1 = 0x01;
			Channel_2 = 0x05;
  	}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x01) && (trans2_hm_secondary_value_type_1 == 0x06))
		{ Channel_1 = 0x01;
			Channel_2 = 0x06;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x01) && (trans2_hm_secondary_value_type_1 == 0x07))
		{ Channel_1 = 0x01;
			Channel_2 = 0x07;
		}
		// Kanal 1 Absolute Feuchte und Kanal 2 alles andere
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x02) && (trans2_hm_secondary_value_type_1 == 0x00))
		{ Channel_1 = 0x02;
			Channel_2 = 0x00;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x02) && (trans2_hm_secondary_value_type_1 == 0x01))
		{ Channel_1 = 0x02;
			Channel_2 = 0x01;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x02) && (trans2_hm_secondary_value_type_1 == 0x03))
		{ Channel_1 = 0x02;
			Channel_2 = 0x03;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x02) && (trans2_hm_secondary_value_type_1 == 0x04))
		{ Channel_1 = 0x02;
			Channel_2 = 0x04;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x02) && (trans2_hm_secondary_value_type_1 == 0x05))
		{ Channel_1 = 0x02;
			Channel_2 = 0x05;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x02) && (trans2_hm_secondary_value_type_1 == 0x06))
		{ Channel_1 = 0x02;
			Channel_2 = 0x06;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x02) && (trans2_hm_secondary_value_type_1 == 0x07))
		{ Channel_1 = 0x02;
			Channel_2 = 0x07;
		}
		// Kanal 1 Spezifische Feuchte und Kanal 2 alles andere
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x03) && (trans2_hm_secondary_value_type_1 == 0x00))
		{ Channel_1 = 0x03;
			Channel_2 = 0x00;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x03) && (trans2_hm_secondary_value_type_1 == 0x01))
		{ Channel_1 = 0x03;
			Channel_2 = 0x01;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x03) && (trans2_hm_secondary_value_type_1 == 0x02))
		{ Channel_1 = 0x03;
			Channel_2 = 0x02;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x03) && (trans2_hm_secondary_value_type_1 == 0x04))
		{ Channel_1 = 0x03;
			Channel_2 = 0x04;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x03) && (trans2_hm_secondary_value_type_1 == 0x05))
		{ Channel_1 = 0x03;
			Channel_2 = 0x05;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x03) && (trans2_hm_secondary_value_type_1 == 0x06))
		{ Channel_1 = 0x03;
			Channel_2 = 0x06;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x03) && (trans2_hm_secondary_value_type_1 == 0x07))
		{ Channel_1 = 0x03;
			Channel_2 = 0x07;
		}
		// Kanal 1 Enthalpie und Kanal 2 alles andere
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x04) && (trans2_hm_secondary_value_type_1 == 0x00))
		{ Channel_1 = 0x04;
			Channel_2 = 0x00;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x04) && (trans2_hm_secondary_value_type_1 == 0x01))
		{ Channel_1 = 0x04;
			Channel_2 = 0x01;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x04) && (trans2_hm_secondary_value_type_1 == 0x02))
		{ Channel_1 = 0x04;
			Channel_2 = 0x02;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x04) && (trans2_hm_secondary_value_type_1 == 0x03))
		{ Channel_1 = 0x04;
			Channel_2 = 0x03;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x04) && (trans2_hm_secondary_value_type_1 == 0x05))
		{ Channel_1 = 0x04;
			Channel_2 = 0x05;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x04) && (trans2_hm_secondary_value_type_1 == 0x06))
		{ Channel_1 = 0x04;
			Channel_2 = 0x06;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x04) && (trans2_hm_secondary_value_type_1 == 0x07))
		{ Channel_1 = 0x04;
			Channel_2 = 0x07;
		}
		// Kanal 1 Psychometrische Temperatur und Kanal 2 alles andere
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x05) && (trans2_hm_secondary_value_type_1 == 0x00))
		{ Channel_1 = 0x05;
			Channel_2 = 0x00;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x05) && (trans2_hm_secondary_value_type_1 == 0x01))
		{ Channel_1 = 0x05;
			Channel_2 = 0x01;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x05) && (trans2_hm_secondary_value_type_1 == 0x02))
		{ Channel_1 = 0x05;
			Channel_2 = 0x02;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x05) && (trans2_hm_secondary_value_type_1 == 0x03))
		{ Channel_1 = 0x05;
			Channel_2 = 0x03;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x05) && (trans2_hm_secondary_value_type_1 == 0x04))
		{ Channel_1 = 0x05;
			Channel_2 = 0x04;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x05) && (trans2_hm_secondary_value_type_1 == 0x06))
		{ Channel_1 = 0x05;
			Channel_2 = 0x06;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x05) && (trans2_hm_secondary_value_type_1 == 0x07))
		{ Channel_1 = 0x05;
			Channel_2 = 0x07;
		}
		// Kanal 1 Vapour Partial-Druck und Kanal 2 alles andere
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x06) && (trans2_hm_secondary_value_type_1 == 0x00))
		{ Channel_1 = 0x06;
			Channel_2 = 0x00;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x06) && (trans2_hm_secondary_value_type_1 == 0x01))
		{ Channel_1 = 0x06;
			Channel_2 = 0x01;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x06) && (trans2_hm_secondary_value_type_1 == 0x02))
		{ Channel_1 = 0x06;
			Channel_2 = 0x02;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x06) && (trans2_hm_secondary_value_type_1 == 0x03))
		{ Channel_1 = 0x06;
			Channel_2 = 0x03;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x06) && (trans2_hm_secondary_value_type_1 == 0x04))
		{ Channel_1 = 0x06;
			Channel_2 = 0x04;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x06) && (trans2_hm_secondary_value_type_1 == 0x05))
		{ Channel_1 = 0x06;
			Channel_2 = 0x05;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x06) && (trans2_hm_secondary_value_type_1 == 0x07))
		{ Channel_1 = 0x06;
			Channel_2 = 0x07;
		}
		// Kanal 1 Wassergehalt und Kanal 2 alles andere
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x07) && (trans2_hm_secondary_value_type_1 == 0x00))
		{ Channel_1 = 0x07;
			Channel_2 = 0x00;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x07) && (trans2_hm_secondary_value_type_1 == 0x01))
		{ Channel_1 = 0x07;
			Channel_2 = 0x01;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x07) && (trans2_hm_secondary_value_type_1 == 0x02))
		{ Channel_1 = 0x07;
			Channel_2 = 0x02;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x07) && (trans2_hm_secondary_value_type_1 == 0x03))
		{ Channel_1 = 0x07;
			Channel_2 = 0x03;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x07) && (trans2_hm_secondary_value_type_1 == 0x04))
		{ Channel_1 = 0x07;
			Channel_2 = 0x04;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x07) && (trans2_hm_secondary_value_type_1 == 0x05))
		{ Channel_1 = 0x07;
			Channel_2 = 0x05;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x07) && (trans2_hm_secondary_value_type_1 == 0x06))
		{ Channel_1 = 0x07;
			Channel_2 = 0x06;
		}		
// Code aus method_initialize_Channel_1_unit zum Aktualieren der Einheiten auf Kanal 1
    if ((Channel_1 == 8) && (trans1_primary_value_unit == 1000))
	     { Channel_1_Einheit = 1000; }
		if ((Channel_1 == 8) && (trans1_primary_value_unit == 1001))
	     { Channel_1_Einheit = 1001; }
		if ((Channel_1 == 8) && (trans1_primary_value_unit == 1002))
	     { Channel_1_Einheit = 1002; }
		if ((Channel_1 == 8) && (trans1_primary_value_unit == 1003))
	     { Channel_1_Einheit = 1003; }
    /*Relative Feuchte*/
		if ((Channel_1 == 0) && (trans2_hm_primary_value_unit == 1342))
	     { Channel_1_Einheit = 1342; }
    /*Taupunkt*/
		if ((Channel_1 == 1) && (trans2_hm_primary_value_unit == 1001))
	     { Channel_1_Einheit = 1001; }
		if ((Channel_1 == 1) && (trans2_hm_primary_value_unit == 1002))
	     { Channel_1_Einheit = 1002; }
    /*Absolute Feuchte*/
		if ((Channel_1 == 2) && (trans2_hm_primary_value_unit == 1101))
	     { Channel_1_Einheit = 1101; }
		if ((Channel_1 == 2) && (trans2_hm_primary_value_unit == 32772))
	     { Channel_1_Einheit = 32772; }
    /*Spezifische Feuchte*/
		if ((Channel_1 == 3) && (trans2_hm_primary_value_unit == 32768))
	     { Channel_1_Einheit = 32768; }
		if ((Channel_1 == 3) && (trans2_hm_primary_value_unit == 32769))
	     { Channel_1_Einheit = 32769; }
    /*Enthalpie*/
		if ((Channel_1 == 4) && (trans2_hm_primary_value_unit == 32770))
	     { Channel_1_Einheit = 32770; }
		if ((Channel_1 == 4) && (trans2_hm_primary_value_unit == 32771))
	     { Channel_1_Einheit = 32771; }
    /*Psychometrische Temperatur*/
		if ((Channel_1 == 5) && (trans2_hm_primary_value_unit == 1001))
	     { Channel_1_Einheit = 1001; }
		if ((Channel_1 == 5) && (trans2_hm_primary_value_unit == 1002))
	     { Channel_1_Einheit = 1002; }
    /*Vapour Partial Druck*/
		if ((Channel_1 == 6) && (trans2_hm_primary_value_unit == 1136))
	     { Channel_1_Einheit = 1136; }
		if ((Channel_1 == 6) && (trans2_hm_primary_value_unit == 1146))
	     { Channel_1_Einheit = 1146; }
    /*Wassergehalt*/
	  if ((Channel_1 == 7) && (trans2_hm_primary_value_unit == 1423))
	     { Channel_1_Einheit = 1423; }
// Code aus method_initialize_Channel_2_unit zum Aktualieren der Einheiten auf Kanal 1
		if ((Channel_2 == 0) && (trans2_hm_secondary_value_unit_1 == 1342))
	     { Channel_2_Einheit = 1342; }
    /*Taupunkt*/
		if ((Channel_2 == 1) && (trans2_hm_secondary_value_unit_1 == 1001))
	     { Channel_2_Einheit = 1001; }
		if ((Channel_2 == 1) && (trans2_hm_secondary_value_unit_1 == 1002))
	     { Channel_2_Einheit = 1002; }
    /*Absolute Feuchte*/
		if ((Channel_2 == 2) && (trans2_hm_secondary_value_unit_1 == 1101))
	     { Channel_2_Einheit = 1101; }
		if ((Channel_2 == 2) && (trans2_hm_secondary_value_unit_1 == 32772))
	     { Channel_2_Einheit = 32772; }
    /*Spezifische Feuchte*/
		if ((Channel_2 == 3) && (trans2_hm_secondary_value_unit_1 == 32768))
	     { Channel_2_Einheit = 32768; }
		if ((Channel_2 == 3) && (trans2_hm_secondary_value_unit_1 == 32769))
	     { Channel_2_Einheit = 32769; }
    /*Enthalpie*/
		if ((Channel_2 == 4) && (trans2_hm_secondary_value_unit_1 == 32770))
	     { Channel_2_Einheit = 32770; }
		if ((Channel_2 == 4) && (trans2_hm_secondary_value_unit_1 == 32771))
	     { Channel_2_Einheit = 32771; }
    /*Psychometrische Temperatur*/
		if ((Channel_2 == 5) && (trans2_hm_secondary_value_unit_1 == 1001))
	     { Channel_2_Einheit = 1001; }
		if ((Channel_2 == 5) && (trans2_hm_secondary_value_unit_1 == 1002))
	     { Channel_2_Einheit = 1002; }
    /*Vapour Partial Druck*/
		if ((Channel_2 == 6) && (trans2_hm_secondary_value_unit_1 == 1136))
	     { Channel_2_Einheit = 1136; }
		if ((Channel_2 == 6) && (trans2_hm_secondary_value_unit_1 == 1146))
	     { Channel_2_Einheit = 1146; }
    /*Wassergehalt*/
	  if ((Channel_2 == 7) && (trans2_hm_secondary_value_unit_1 == 1423))
	     { Channel_2_Einheit = 1423; }		
	}
} /* Ende method_read_device_setting */




METHOD method_write_pyhs_write_locking_value_to_device
{
	LABEL		[method_write_pyhs_write_locking_value_to_device];
	DEFINITION
	{
    WriteCommand (write_phys_write_locking);
 	}
}

METHOD method_set_device_parameter
{
	LABEL		[method_set_device_parameter];
	DEFINITION
	{
		func2_AI_target_mode           = 0x80; //	mode_OUT_OF_SERVICE
		func1_AI_target_mode           = 0x80; //	mode_OUT_OF_SERVICE
		trans2_target_mode             = 0x80; //	mode_OUT_OF_SERVICE
		trans1_target_mode             = 0x80; //	mode_OUT_OF_SERVICE
		WriteCommand (write_func2_AI_target_mode);
		WriteCommand (write_func1_AI_target_mode);
		WriteCommand (write_trans2_target_mode);
		WriteCommand (write_trans1_target_mode);

  	    // erst AI und TB - Werte lokal setzen
    //PUT_MESSAGE("bin in der Methode set_values_locally");
		// 1 Kanal 1: Temperatur                    Kanal 2: Relative Feuchte
		if ((Channel_1 == 0x08) && (Channel_2 == 0x00))
		  {
		   func1_AI_channel               = THERMO_RESISTANCE_CHANNEL;
		   func2_AI_channel               = TB_2_SV_1;
		   trans2_hm_primary_value_type   = 0x00;
		   trans2_hm_secondary_value_type_1 = 0x00;
		  }
    // 2 Kanal 1: Temperatur                    Kanal 2: Taupunkt
		if ((Channel_1 == 0x08) && (Channel_2 == 0x01))
		  { func1_AI_channel               = THERMO_RESISTANCE_CHANNEL;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x01;
		  	trans2_hm_secondary_value_type_1 = 0x01;
		  }
    // 3 Kanal 1: Temperatur                    Kanal 2: Absolute Feuchte
		if ((Channel_1 == 0x08) && (Channel_2 == 0x02))
		  { func1_AI_channel               = THERMO_RESISTANCE_CHANNEL;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x02;
		  	trans2_hm_secondary_value_type_1 = 0x02;
		  }
    // 4 Kanal 1: Temperatur                    Kanal 2: Spezifische Feuchte
		if ((Channel_1 == 0x08) && (Channel_2 == 0x03))
		  { func1_AI_channel               = THERMO_RESISTANCE_CHANNEL;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x03;
		  	trans2_hm_secondary_value_type_1 = 0x03;
		  }
    // 5 Kanal 1: Temperatur                    Kanal 2: Enthalpie
		if ((Channel_1 == 0x08) && (Channel_2 == 0x04))
		  { func1_AI_channel               = THERMO_RESISTANCE_CHANNEL;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x04;
		  	trans2_hm_secondary_value_type_1 = 0x04;
		  }
    // 6 Kanal 1: Temperatur                    Kanal 2: Psychometrische Temperatur
		if ((Channel_1 == 0x08) && (Channel_2 == 0x05))
		  { func1_AI_channel               = THERMO_RESISTANCE_CHANNEL;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x05;
		  	trans2_hm_secondary_value_type_1 = 0x05;
		  }
    // 7 Kanal 1: Temperatur                    Kanal 2: Vapour Partial Druck
		if ((Channel_1 == 0x08) && (Channel_2 == 0x06))
		  { func1_AI_channel               = THERMO_RESISTANCE_CHANNEL;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x06;
		  	trans2_hm_secondary_value_type_1 = 0x06;
		  }
    // 8 Kanal 1: Temperatur                    Kanal 2: Wassergehalt
		if ((Channel_1 == 0x08) && (Channel_2 == 0x07))
		  { func1_AI_channel               = THERMO_RESISTANCE_CHANNEL;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x07;
		  	trans2_hm_secondary_value_type_1 = 0x07;
		  }
    // 9 Kanal 1: Relative Feuchte              Kanal 2: Taupunkt
		if ((Channel_1 == 0x00) && (Channel_2 == 0x01))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x00;
		  	trans2_hm_secondary_value_type_1 = 0x01;
		  }
    // 10 Kanal 1: Relative Feuchte              Kanal 2: Absolute Feuchte
		if ((Channel_1 == 0x00) && (Channel_2 == 0x02))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x00;
		  	trans2_hm_secondary_value_type_1 = 0x02;
		  }
    // 11 Kanal 1: Relative Feuchte              Kanal 2: Spezifische Feuchte
		if ((Channel_1 == 0x00) && (Channel_2 == 0x03))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x00;
		  	trans2_hm_secondary_value_type_1 = 0x03;
		  }
    // 12 Kanal 1: Relative Feuchte              Kanal 2: Enthalpie
		if ((Channel_1 == 0x00) && (Channel_2 == 0x04))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x00;
		  	trans2_hm_secondary_value_type_1 = 0x04;
		  }
    // 13 Kanal 1: Relative Feuchte              Kanal 2: Psychometrische Temperatur
		if ((Channel_1 == 0x00) && (Channel_2 == 0x05))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x00;
		  	trans2_hm_secondary_value_type_1 = 0x05;
		  }
    // 14 Kanal 1: Relative Feuchte              Kanal 2: Vapour Partial Druck
		if ((Channel_1 == 0x00) && (Channel_2 == 0x06))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x00;
		  	trans2_hm_secondary_value_type_1 = 0x06;
		  }
    // 15 Kanal 1: Relative Feuchte              Kanal 2: Wassergehalt
		if ((Channel_1 == 0x00) && (Channel_2 == 0x07))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x00;
		  	trans2_hm_secondary_value_type_1 = 0x07;
		  }
    // 16 Kanal 1: Taupunkt                      Kanal 2: Absolute Feuchte
		if ((Channel_1 == 0x01) && (Channel_2 == 0x02))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x01;
		  	trans2_hm_secondary_value_type_1 = 0x02;
		  }
    // 17 Kanal 1: Taupunkt                      Kanal 2: Relative Feuchte
    if ((Channel_1 == 0x01) && (Channel_2 == 0x00))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x01;
		  	trans2_hm_secondary_value_type_1 = 0x00;
		  }
    // 18 Kanal 1: Taupunkt                      Kanal 2: Spezifische Feuchte
		if ((Channel_1 == 0x01) && (Channel_2 == 0x03))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x01;
		  	trans2_hm_secondary_value_type_1 = 0x03;
		  }
    // 19 Kanal 1: Taupunkt                      Kanal 2: Enthalpie
		if ((Channel_1 == 0x01) && (Channel_2 == 0x04))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x01;
		  	trans2_hm_secondary_value_type_1 = 0x04;
		  }
    // 20 Kanal 1: Taupunkt                      Kanal 2: Psychometrische Temperatur
		if ((Channel_1 == 0x01) && (Channel_2 == 0x05))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x01;
		  	trans2_hm_secondary_value_type_1 = 0x05;
		  }
    // 210 Kanal 1: Taupunkt                      Kanal 2: Vapour Partial Druck
		if ((Channel_1 == 0x01) && (Channel_2 == 0x06))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x01;
		  	trans2_hm_secondary_value_type_1 = 0x06;
		  }
    // 22 Kanal 1: Taupunkt                       Kanal 2: Wassergehalt
		if ((Channel_1 == 0x01) && (Channel_2 == 0x07))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x01;
		  	trans2_hm_secondary_value_type_1 = 0x07;
		  }
    // 23 Kanal 1: Absolute Feuchte               Kanal 2: Relative Feuchte
		if ((Channel_1 == 0x02) && (Channel_2 == 0x00))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x02;
		  	trans2_hm_secondary_value_type_1 = 0x00;
		  }
    // 24 Kanal 1: Absolute Feuchte                Kanal 2: Taupunkt
		if ((Channel_1 == 0x02) && (Channel_2 == 0x01))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x02;
		  	trans2_hm_secondary_value_type_1 = 0x01;
		  }
    // 25 Kanal 1: Absolute Feuchte                Kanal 2: Spezifische Feuchte
		if ((Channel_1 == 0x02) && (Channel_2 == 0x03))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x02;
		  	trans2_hm_secondary_value_type_1 = 0x03;
		  }
    // 26 Kanal 1: Absolute Feuchte                 Kanal 2: Enthalpie
		if ((Channel_1 == 0x02) && (Channel_2 == 0x04))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x02;
		  	trans2_hm_secondary_value_type_1 = 0x04;
		  }
    // 27 Kanal 1: Absolute Feuchte                 Kanal 2: Psychometrische Temperatur
		if ((Channel_1 == 0x02) && (Channel_2 == 0x05))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x02;
		  	trans2_hm_secondary_value_type_1 = 0x05;
		  }
    // 28 Kanal 1: Absolute Feuchte                 Kanal 2: Vapour Partial Druck
		if ((Channel_1 == 0x02) && (Channel_2 == 0x06))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x02;
		  	trans2_hm_secondary_value_type_1 = 0x06;
		  }
    // 29 Kanal 1: Absolute Feuchte                 Kanal 2: Wassergehalt
		if ((Channel_1 == 0x02) && (Channel_2 == 0x07))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x02;
		  	trans2_hm_secondary_value_type_1 = 0x07;
		  }
    // 30 Kanal 1: Spezifische Feuchte              Kanal 2: Relative Feuchte
		if ((Channel_1 == 0x03) && (Channel_2 == 0x00))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x03;
		  	trans2_hm_secondary_value_type_1 = 0x00;
		  }
    // 31 Kanal 1: Spezifische Feuchte               Kanal 2: Taupunkt
		if ((Channel_1 == 0x03) && (Channel_2 == 0x01))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x03;
		  	trans2_hm_secondary_value_type_1 = 0x01;
		  }
    // 32 Kanal 1: Spezifische Feuchte               Kanal 2: Absolute Feuchte
		if ((Channel_1 == 0x03) && (Channel_2 == 0x02))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x03;
		  	trans2_hm_secondary_value_type_1 = 0x02;
		  }
    // 33 Kanal 1: Spezifische Feuchte               Kanal 2: Enthalpie
		if ((Channel_1 == 0x03) && (Channel_2 == 0x04))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x03;
		  	trans2_hm_secondary_value_type_1 = 0x04;
		  }
    // 34 Kanal 1: Spezifische Feuchte               Kanal 2: Psychometrische Temperatur
		if ((Channel_1 == 0x03) && (Channel_2 == 0x05))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x03;
		  	trans2_hm_secondary_value_type_1 = 0x05;
		  }
    // 35 Kanal 1: Spezifische Feuchte               Kanal 2: Vapour Partial Druck
		if ((Channel_1 == 0x03) && (Channel_2 == 0x06))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x03;
		  	trans2_hm_secondary_value_type_1 = 0x06;
		  }
    // 36 Kanal 1: Spezifische Feuchte               Kanal 2: Wassergehalt
		if ((Channel_1 == 0x03) && (Channel_2 == 0x07))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x03;
		  	trans2_hm_secondary_value_type_1 = 0x07;
		  }
    // 37 Kanal 1: Enthalpie                         Kanal 2: Relative Feuchte
		if ((Channel_1 == 0x04) && (Channel_2 == 0x00))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x04;
		  	trans2_hm_secondary_value_type_1 = 0x00;
		  }
    // 38 Kanal 1: Enthalpie                         Kanal 2: Taupunkt
		if ((Channel_1 == 0x04) && (Channel_2 == 0x01))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x04;
		  	trans2_hm_secondary_value_type_1 = 0x01;
		  }
    // 39 Kanal 1: Enthalpie                         Kanal 2: Absolute Feuchte
		if ((Channel_1 == 0x04) && (Channel_2 == 0x02))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x04;
		  	trans2_hm_secondary_value_type_1 = 0x02;
		  }
    // 40 Kanal 1: Enthalpie                         Kanal 2: Spezifische Feuchte
		if ((Channel_1 == 0x04) && (Channel_2 == 0x03))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x04;
		  	trans2_hm_secondary_value_type_1 = 0x03;
		  }
    // 41 Kanal 1: Enthalpie                         Kanal 2: Psychometrische Temperatur
		if ((Channel_1 == 0x04) && (Channel_2 == 0x05))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x04;
		  	trans2_hm_secondary_value_type_1 = 0x05;
		  }
    // 42 Kanal 1: Enthalpie                         Kanal 2: Vapour Partial Druck
		if ((Channel_1 == 0x04) && (Channel_2 == 0x06))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x04;
		  	trans2_hm_secondary_value_type_1 = 0x06;
		  }
    // 43 Kanal 1: Enthalpie                         Kanal 2: Wassergehalt
		if ((Channel_1 == 0x04) && (Channel_2 == 0x07))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x04;
		  	trans2_hm_secondary_value_type_1 = 0x07;
		  }
    // 44 Kanal 1: Psychometrische Temperatur        Kanal 2: Relative Feuchte
		if ((Channel_1 == 0x05) && (Channel_2 == 0x00))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x05;
		  	trans2_hm_secondary_value_type_1 = 0x00;
		  }
    // 45 Kanal 1: Psychometrische Temperatur        Kanal 2: Taupunkt
		if ((Channel_1 == 0x05) && (Channel_2 == 0x01))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x05;
		  	trans2_hm_secondary_value_type_1 = 0x01;
		  }
    // 46 Kanal 1: Psychometrische Temperatur        Kanal 2: Absolute Feuchte
		if ((Channel_1 == 0x05) && (Channel_2 == 0x02))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x05;
		  	trans2_hm_secondary_value_type_1 = 0x02;
		  }
    // 47 Kanal 1: Psychometrische Temperatur        Kanal 2: Spezifische Feuchte
		if ((Channel_1 == 0x05) && (Channel_2 == 0x03))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x05;
		  	trans2_hm_secondary_value_type_1 = 0x03;
		  }
    // 48 Kanal 1: Psychometrische Temperatur        Kanal 2: Enthalpie
		if ((Channel_1 == 0x05) && (Channel_2 == 0x04))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x05;
		  	trans2_hm_secondary_value_type_1 = 0x04;
		  }
    // 49 Kanal 1: Psychometrische Temperatur        Kanal 2: Vapour Partial Druck
		if ((Channel_1 == 0x05) && (Channel_2 == 0x06))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x05;
		  	trans2_hm_secondary_value_type_1 = 0x06;
		  }
    // 50 Kanal 1: Psychometrische Temperatur        Kanal 2: Wassergehalt
		if ((Channel_1 == 0x05) && (Channel_2 == 0x07))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x05;
		  	trans2_hm_secondary_value_type_1 = 0x07;
		  }
    // 51 Kanal 1: Vapour Partial Druck              Kanal 2: Relative Feuchte
		if ((Channel_1 == 0x06) && (Channel_2 == 0x00))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x06;
		  	trans2_hm_secondary_value_type_1 = 0x00;
		  }
    // 52 Kanal 1: Vapour Partial Druck              Kanal 2: Taupunkt
		if ((Channel_1 == 0x06) && (Channel_2 == 0x01))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x06;
		  	trans2_hm_secondary_value_type_1 = 0x01;
		  }
    // 53 Kanal 1: Vapour Partial Druck              Kanal 2: Absolute Feuchte
		if ((Channel_1 == 0x06) && (Channel_2 == 0x02))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x06;
		  	trans2_hm_secondary_value_type_1 = 0x02;
		  }
    // 54 Kanal 1: Vapour Partial Druck              Kanal 2: Spezifische Feuchte
		if ((Channel_1 == 0x06) && (Channel_2 == 0x03))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x06;
		  	trans2_hm_secondary_value_type_1 = 0x03;
		  }
    // 55 Kanal 1: Vapour Partial Druck              Kanal 2: Enthalpie
		if ((Channel_1 == 0x06) && (Channel_2 == 0x04))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x06;
		  	trans2_hm_secondary_value_type_1 = 0x04;
		  }
    // 56 Kanal 1: Vapour Partial Druck              Kanal 2: Psychometrische temperatur
		if ((Channel_1 == 0x06) && (Channel_2 == 0x05))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x06;
		  	trans2_hm_secondary_value_type_1 = 0x05;
		  }
    // 57 Kanal 1: Vapour Partial Druck              Kanal 2: Wassergehalt
		if ((Channel_1 == 0x06) && (Channel_2 == 0x06))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x06;
		  	trans2_hm_secondary_value_type_1 = 0x06;
		  }
    // 58 Kanal 1: Wassergehalt                      Kanal 2: Relative Feuchte
		if ((Channel_1 == 0x07) && (Channel_2 == 0x00))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x07;
		  	trans2_hm_secondary_value_type_1 = 0x00;
		  }
    // 59 Kanal 1: Wassergehalt                      Kanal 2: Taupunkt
		if ((Channel_1 == 0x07) && (Channel_2 == 0x01))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x07;
		  	trans2_hm_secondary_value_type_1 = 0x01;
		  }
    // 60 Kanal 1: Wassergehalt                      Kanal 2: Absolute Feuchte
		if ((Channel_1 == 0x07) && (Channel_2 == 0x02))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x07;
		  	trans2_hm_secondary_value_type_1 = 0x02;
		  }
    // 61 Kanal 1: Wassergehalt                      Kanal 2: Spezifische Feuchte
		if ((Channel_1 == 0x07) && (Channel_2 == 0x03))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x07;
		  	trans2_hm_secondary_value_type_1 = 0x03;
		  }
    // 62 Kanal 1: Wassergehalt                      Kanal 2: Enthalpie
		if ((Channel_1 == 0x07) && (Channel_2 == 0x04))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x07;
		  	trans2_hm_secondary_value_type_1 = 0x04;
		  }
    // 63 Kanal 1: Wassergehalt                      Kanal 2: Psychometrische Temperatur
		if ((Channel_1 == 0x07) && (Channel_2 == 0x05))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x07;
		  	trans2_hm_secondary_value_type_1 = 0x05;
		  }
    // 64 Kanal 1: Wassergehalt                      Kanal 2: Vapour Partial Druck
		if ((Channel_1 == 0x07) && (Channel_2 == 0x06))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x07;
		  	trans2_hm_secondary_value_type_1 = 0x06;
		  }    
    //dann Einheiten-Variablen setzen
    //PUT_MESSAGE("bin in der Methode: method_set_units_locally");
			/*Temperatur*/
			if ((Channel_1 == 8) && (Channel_1_Einheit == 1000))
			{
				func1_AI_out_unit = 1000;
  		  trans1_primary_value_unit = 1000;
  	  }
			if ((Channel_1 == 8) && (Channel_1_Einheit == 1001))
			{
				func1_AI_out_unit = 1001;
  		  trans1_primary_value_unit = 1001;
  	  }
			if ((Channel_1 == 8) && (Channel_1_Einheit == 1002))
			{
				func1_AI_out_unit = 1002;
  		  trans1_primary_value_unit = 1002;
  	  }
			if ((Channel_1 == 8) && (Channel_1_Einheit == 1003))
			{
				func1_AI_out_unit = 1003;
  		  trans1_primary_value_unit = 1003;
  	  }
    /*Relative Feuchte*/
			if ((Channel_1 == 0) && (Channel_1_Einheit == 1342))
			{
				func1_AI_out_unit = 1342;
  		  trans2_hm_primary_value_unit = 1342;
  	  }
    /*Taupunkt*/
		if ((Channel_1 == 1) && (Channel_1_Einheit == 1001))
			{
				func1_AI_out_unit = 1001;
  		  trans2_hm_primary_value_unit = 1001;
  	  }
		if ((Channel_1 == 1) && (Channel_1_Einheit == 1002))
			{
				func1_AI_out_unit = 1002;
  		  trans2_hm_primary_value_unit = 1002;
  	  }
   /*Absolute Feuchte*/
		if ((Channel_1 == 2) && (Channel_1_Einheit == 1101))
			{
				func1_AI_out_unit = 1101;
  		  trans2_hm_primary_value_unit = 1101;
  	  }
		if ((Channel_1 == 2) && (Channel_1_Einheit == 32772))
			{
				func1_AI_out_unit = 32772;
  		  trans2_hm_primary_value_unit = 32772;
  	  }
    /*Spezifische Feuchte*/
		if ((Channel_1 == 3) && (Channel_1_Einheit == 32768))
			{
				func1_AI_out_unit = 32768;
  		  trans2_hm_primary_value_unit = 32768;
  	  }
		if ((Channel_1 == 3) && (Channel_1_Einheit == 32769))
			{
				func1_AI_out_unit = 32769;
  		  trans2_hm_primary_value_unit = 32769;
  	  }
    /*Enthalpie*/
		if ((Channel_1 == 4) && (Channel_1_Einheit == 32770))
			{
				func1_AI_out_unit = 32770;
  		  trans2_hm_primary_value_unit = 32770;
  	  }
		if ((Channel_1 == 4) && (Channel_1_Einheit == 32771))
			{
				func1_AI_out_unit = 32771;
  		  trans2_hm_primary_value_unit = 32771;
  	  }
    /*Psychometrische Temperatur*/
		if ((Channel_1 == 5) && (Channel_1_Einheit == 1001))
			{
				func1_AI_out_unit = 1001;
  		  trans2_hm_primary_value_unit = 1001;
  	  }
		if ((Channel_1 == 5) && (Channel_1_Einheit == 1002))
			{
				func1_AI_out_unit = 1002;
  		  trans2_hm_primary_value_unit = 1002;
  	  }
    /*Vapour Partial Druck*/
		if ((Channel_1 == 6) && (Channel_1_Einheit == 1136))
			{
				func1_AI_out_unit = 1136;
  		  trans2_hm_primary_value_unit = 1136;
  	  }
		if ((Channel_1 == 6) && (Channel_1_Einheit == 1146))
			{
				func1_AI_out_unit = 1146;
  		  trans2_hm_primary_value_unit = 1146;
  	  }
    /*Wassergehalt*/
	  if ((Channel_1 == 7) && (Channel_1_Einheit == 1423))
			{
				func1_AI_out_unit = 1423;
  		  trans2_hm_primary_value_unit = 1423;
  	  }

/*dann fr Kanal 2*/

      if (Channel_1 == 8)
      {
        /*Relative Feuchte*/
  			if ((Channel_2 == 0) && (Channel_2_Einheit == 1342))
  			{
  				func2_AI_out_unit = 1342;
    		  trans2_hm_secondary_value_unit_1 = 1342;
          trans2_hm_primary_value_unit = 1342;
    	  }
        /*Taupunkt*/
    		if ((Channel_2 == 1) && (Channel_2_Einheit == 1001))
    			{
    				func2_AI_out_unit = 1001;
      		  trans2_hm_secondary_value_unit_1 = 1001;
            trans2_hm_primary_value_unit = 1001;
      	  }
    		if ((Channel_2 == 1) && (Channel_2_Einheit == 1002))
    			{
    				func2_AI_out_unit = 1002;
      		  trans2_hm_secondary_value_unit_1 = 1002;
            trans2_hm_primary_value_unit = 1002;
      	  }
       /*Absolute Feuchte*/
    		if ((Channel_2 == 2) && (Channel_2_Einheit == 1101))
    			{
    				func2_AI_out_unit = 1101;
      		  trans2_hm_secondary_value_unit_1 = 1101;
            trans2_hm_primary_value_unit = 1101;
      	  }
    		if ((Channel_2 == 2) && (Channel_2_Einheit == 32772))
    			{
    				func2_AI_out_unit = 32772;
      		  trans2_hm_secondary_value_unit_1 = 32772;
            trans2_hm_primary_value_unit = 32772;
      	  }
        /*Spezifische Feuchte*/
    		if ((Channel_2 == 3) && (Channel_2_Einheit == 32768))
    			{
    				func2_AI_out_unit = 32768;
      		  trans2_hm_secondary_value_unit_1 = 32768;
            trans2_hm_primary_value_unit = 32768;
      	  }
    		if ((Channel_2 == 3) && (Channel_2_Einheit == 32769))
    			{
    				func2_AI_out_unit = 32769;
      		  trans2_hm_secondary_value_unit_1 = 32769;
            trans2_hm_primary_value_unit = 32769;
      	  }
        /*Enthalpie*/
    		if ((Channel_2 == 4) && (Channel_2_Einheit == 32770))
    			{
    				func2_AI_out_unit = 32770;
      		  trans2_hm_secondary_value_unit_1 = 32770;
            trans2_hm_primary_value_unit = 32770;
      	  }
    		if ((Channel_2 == 4) && (Channel_2_Einheit == 32771))
    			{
    				func2_AI_out_unit = 32771;
      		  trans2_hm_secondary_value_unit_1 = 32771;
            trans2_hm_primary_value_unit = 32771;
      	  }
        /*Psychometrische Temperatur*/
    		if ((Channel_2 == 5) && (Channel_2_Einheit == 1001))
    			{
    				func2_AI_out_unit = 1001;
      		  trans2_hm_secondary_value_unit_1 = 1001;
            trans2_hm_primary_value_unit = 1001;
      	  }
    		if ((Channel_2 == 5) && (Channel_2_Einheit == 1002))
    			{
    				func2_AI_out_unit = 1002;
      		  trans2_hm_secondary_value_unit_1 = 1002;
            trans2_hm_primary_value_unit = 1002;
      	  }
        /*Vapour Partial Druck*/
    		if ((Channel_2 == 6) && (Channel_2_Einheit == 1136))
    			{
    				func2_AI_out_unit = 1136;
      		  trans2_hm_secondary_value_unit_1 = 1136;
            trans2_hm_primary_value_unit = 1136;
      	  }
    		if ((Channel_2 == 6) && (Channel_2_Einheit == 1146))
    			{
    				func2_AI_out_unit = 1146;
      		  trans2_hm_secondary_value_unit_1 = 1146;
            trans2_hm_primary_value_unit = 1146;
      	  }
        /*Wassergehalt*/
    	  if ((Channel_2 == 7) && (Channel_2_Einheit == 1423))
    			{
    				func2_AI_out_unit = 1423;
      		  trans2_hm_secondary_value_unit_1 = 1423;
            trans2_hm_primary_value_unit = 1423;
      	  }
    	}
    	else
    	{
        /*Relative Feuchte*/
  			if ((Channel_2 == 0) && (Channel_2_Einheit == 1342))
  			{
  				func2_AI_out_unit = 1342;
    		  trans2_hm_secondary_value_unit_1 = 1342;
    	  }
        /*Taupunkt*/
    		if ((Channel_2 == 1) && (Channel_2_Einheit == 1001))
    			{
    				func2_AI_out_unit = 1001;
      		  trans2_hm_secondary_value_unit_1 = 1001;
      	  }
    		if ((Channel_2 == 1) && (Channel_2_Einheit == 1002))
    			{
    				func2_AI_out_unit = 1002;
      		  trans2_hm_secondary_value_unit_1 = 1002;
      	  }
       /*Absolute Feuchte*/
    		if ((Channel_2 == 2) && (Channel_2_Einheit == 1101))
    			{
    				func2_AI_out_unit = 1101;
      		  trans2_hm_secondary_value_unit_1 = 1101;
      	  }
    		if ((Channel_2 == 2) && (Channel_2_Einheit == 32772))
    			{
    				func2_AI_out_unit = 32772;
      		  trans2_hm_secondary_value_unit_1 = 32772;
      	  }
        /*Spezifische Feuchte*/
    		if ((Channel_2 == 3) && (Channel_2_Einheit == 32768))
    			{
    				func2_AI_out_unit = 32768;
      		  trans2_hm_secondary_value_unit_1 = 32768;
      	  }
    		if ((Channel_2 == 3) && (Channel_2_Einheit == 32769))
    			{
    				func2_AI_out_unit = 32769;
      		  trans2_hm_secondary_value_unit_1 = 32769;
      	  }
        /*Enthalpie*/
    		if ((Channel_2 == 4) && (Channel_2_Einheit == 32770))
    			{
    				func2_AI_out_unit = 32770;
      		  trans2_hm_secondary_value_unit_1 = 32770;
       	  }
    		if ((Channel_2 == 4) && (Channel_2_Einheit == 32771))
    			{
    				func2_AI_out_unit = 32771;
      		  trans2_hm_secondary_value_unit_1 = 32771;
      	  }
        /*Psychometrische Temperatur*/
    		if ((Channel_2 == 5) && (Channel_2_Einheit == 1001))
    			{
    				func2_AI_out_unit = 1001;
      		  trans2_hm_secondary_value_unit_1 = 1001;
      	  }
    		if ((Channel_2 == 5) && (Channel_2_Einheit == 1002))
    			{
    				func2_AI_out_unit = 1002;
      		  trans2_hm_secondary_value_unit_1 = 1002;
      	  }
        /*Vapour Partial Druck*/
    		if ((Channel_2 == 6) && (Channel_2_Einheit == 1136))
    			{
    				func2_AI_out_unit = 1136;
      		  trans2_hm_secondary_value_unit_1 = 1136;
      	  }
    		if ((Channel_2 == 6) && (Channel_2_Einheit == 1146))
    			{
    				func2_AI_out_unit = 1146;
      		  trans2_hm_secondary_value_unit_1 = 1146;
      	  }
        /*Wassergehalt*/
    	  if ((Channel_2 == 7) && (Channel_2_Einheit == 1423))
    			{
    				func2_AI_out_unit = 1423;
      		  trans2_hm_secondary_value_unit_1 = 1423;
      	  }    		
    	}
		WriteCommand (write_func1_AI_channel);
    WriteCommand (write_func2_AI_channel);
    WriteCommand (write_trans1_primary_value_unit);
    WriteCommand (write_trans2_hm_primary_value_type);
    WriteCommand (write_trans2_hm_secondary_value_type_1);
    WriteCommand (write_trans2_hm_primary_value_unit);
    WriteCommand (write_trans2_hm_secondary_value_unit_1);

    func2_AI_target_mode           = 0x08; //	mode_AUTO
		func1_AI_target_mode           = 0x08; //	mode_AUTO
		trans2_target_mode             = 0x08; //	mode_AUTO
		trans1_target_mode             = 0x08; //	mode_AUTO
		WriteCommand (write_func2_AI_target_mode);
		WriteCommand (write_func1_AI_target_mode);
		WriteCommand (write_trans2_target_mode);
		WriteCommand (write_trans1_target_mode);
 }
} /* method_set_device_parameter */


/*
Methode zum setzen der Messkanle nach upload von Parametern aus dem Gert
Beim Aufruf des Gerteparametrier-Mens muss diese Methode als erstes aufgerufen werden:
Fall Wie ist die PDM-Tabelle eingestellt, z.B. nach Import oder nach Upload der Gertevariablen

Sie muss auch beim Lesen der Gertekonfi ber den Button "Read_Device_Konfiguration" aufgerufen werden:
Fall User liest Gertekonfi und Parametriermen muss aktualisiert werden
Methode aufrufen in einer Methode geht aber nicht unter PDM also muss leider der Code unter 
der DEFINITION eingefgt werden

*/


METHOD method_refresh_device_configuration_settings
{
	LABEL [method_refresh_device_configuration_settings];
	CLASS CONTAINED;
	DEFINITION
	{
		//PUT_MESSAGE("bin in der Methode: method_refresh_device_configuration_settings");
		// Kanal 1 Temperatur und Kanal 2 alles andere
		if ((func1_AI_channel == THERMO_RESISTANCE_CHANNEL) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_secondary_value_type_1 == 0x00))
		{ Channel_1 = 0x08;
			Channel_2 = 0x00;
		}
		if ((func1_AI_channel == THERMO_RESISTANCE_CHANNEL) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_secondary_value_type_1 == 0x01))
		{ Channel_1 = 0x08;
			Channel_2 = 0x01;
		}
		if ((func1_AI_channel == THERMO_RESISTANCE_CHANNEL) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_secondary_value_type_1 == 0x02))
		{ Channel_1 = 0x08;
			Channel_2 = 0x02;
		}
		if ((func1_AI_channel == THERMO_RESISTANCE_CHANNEL) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_secondary_value_type_1 == 0x03))
		{ Channel_1 = 0x08;
			Channel_2 = 0x03;
		}
		if ((func1_AI_channel == THERMO_RESISTANCE_CHANNEL) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_secondary_value_type_1 == 0x04))
		{ Channel_1 = 0x08;
			Channel_2 = 0x04;
		}
		if ((func1_AI_channel == THERMO_RESISTANCE_CHANNEL) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_secondary_value_type_1 == 0x05))
		{ Channel_1 = 0x08;
			Channel_2 = 0x05;
		}
		if ((func1_AI_channel == THERMO_RESISTANCE_CHANNEL) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_secondary_value_type_1 == 0x06))
		{ Channel_1 = 0x08;
			Channel_2 = 0x06;
		}
		if ((func1_AI_channel == THERMO_RESISTANCE_CHANNEL) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_secondary_value_type_1 == 0x07))
		{ Channel_1 = 0x08;
			Channel_2 = 0x07;
		}
		// Kanal 1 Relative Feuchte und Kanal 2 alles andere
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x00) && (trans2_hm_secondary_value_type_1 == 0x01))
		{ Channel_1 = 0x00;
			Channel_2 = 0x01;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x00) && (trans2_hm_secondary_value_type_1 == 0x02))
		{ Channel_1 = 0x00;
			Channel_2 = 0x02;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x00) && (trans2_hm_secondary_value_type_1 == 0x03))
		{ Channel_1 = 0x00;
			Channel_2 = 0x03;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x00) && (trans2_hm_secondary_value_type_1 == 0x04))
		{ Channel_1 = 0x00;
			Channel_2 = 0x04;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x00) && (trans2_hm_secondary_value_type_1 == 0x05))
		{ Channel_1 = 0x00;
			Channel_2 = 0x05;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x00) && (trans2_hm_secondary_value_type_1 == 0x06))
		{ Channel_1 = 0x00;
			Channel_2 = 0x06;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x00) && (trans2_hm_secondary_value_type_1 == 0x07))
		{ Channel_1 = 0x00;
			Channel_2 = 0x07;
		}
		// Kanal 1 Taupunkt und Kanal 2 alles andere
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x01) && (trans2_hm_secondary_value_type_1 == 0x00))
		{ Channel_1 = 0x01;
			Channel_2 = 0x00;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x01) && (trans2_hm_secondary_value_type_1 == 0x02))
		{ Channel_1 = 0x01;
			Channel_2 = 0x02;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x01) && (trans2_hm_secondary_value_type_1 == 0x03))
		{ Channel_1 = 0x01;
			Channel_2 = 0x03;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x01) && (trans2_hm_secondary_value_type_1 == 0x04))
		{ Channel_1 = 0x01;
			Channel_2 = 0x04;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x01) && (trans2_hm_secondary_value_type_1 == 0x05))
		{ Channel_1 = 0x01;
			Channel_2 = 0x05;
  	}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x01) && (trans2_hm_secondary_value_type_1 == 0x06))
		{ Channel_1 = 0x01;
			Channel_2 = 0x06;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x01) && (trans2_hm_secondary_value_type_1 == 0x07))
		{ Channel_1 = 0x01;
			Channel_2 = 0x07;
		}
		// Kanal 1 Absolute Feuchte und Kanal 2 alles andere
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x02) && (trans2_hm_secondary_value_type_1 == 0x00))
		{ Channel_1 = 0x02;
			Channel_2 = 0x00;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x02) && (trans2_hm_secondary_value_type_1 == 0x01))
		{ Channel_1 = 0x02;
			Channel_2 = 0x01;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x02) && (trans2_hm_secondary_value_type_1 == 0x03))
		{ Channel_1 = 0x02;
			Channel_2 = 0x03;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x02) && (trans2_hm_secondary_value_type_1 == 0x04))
		{ Channel_1 = 0x02;
			Channel_2 = 0x04;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x02) && (trans2_hm_secondary_value_type_1 == 0x05))
		{ Channel_1 = 0x02;
			Channel_2 = 0x05;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x02) && (trans2_hm_secondary_value_type_1 == 0x06))
		{ Channel_1 = 0x02;
			Channel_2 = 0x06;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x02) && (trans2_hm_secondary_value_type_1 == 0x07))
		{ Channel_1 = 0x02;
			Channel_2 = 0x07;
		}
		// Kanal 1 Spezifische Feuchte und Kanal 2 alles andere
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x03) && (trans2_hm_secondary_value_type_1 == 0x00))
		{ Channel_1 = 0x03;
			Channel_2 = 0x00;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x03) && (trans2_hm_secondary_value_type_1 == 0x01))
		{ Channel_1 = 0x03;
			Channel_2 = 0x01;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x03) && (trans2_hm_secondary_value_type_1 == 0x02))
		{ Channel_1 = 0x03;
			Channel_2 = 0x02;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x03) && (trans2_hm_secondary_value_type_1 == 0x04))
		{ Channel_1 = 0x03;
			Channel_2 = 0x04;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x03) && (trans2_hm_secondary_value_type_1 == 0x05))
		{ Channel_1 = 0x03;
			Channel_2 = 0x05;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x03) && (trans2_hm_secondary_value_type_1 == 0x06))
		{ Channel_1 = 0x03;
			Channel_2 = 0x06;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x03) && (trans2_hm_secondary_value_type_1 == 0x07))
		{ Channel_1 = 0x03;
			Channel_2 = 0x07;
		}
		// Kanal 1 Enthalpie und Kanal 2 alles andere
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x04) && (trans2_hm_secondary_value_type_1 == 0x00))
		{ Channel_1 = 0x04;
			Channel_2 = 0x00;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x04) && (trans2_hm_secondary_value_type_1 == 0x01))
		{ Channel_1 = 0x04;
			Channel_2 = 0x01;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x04) && (trans2_hm_secondary_value_type_1 == 0x02))
		{ Channel_1 = 0x04;
			Channel_2 = 0x02;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x04) && (trans2_hm_secondary_value_type_1 == 0x03))
		{ Channel_1 = 0x04;
			Channel_2 = 0x03;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x04) && (trans2_hm_secondary_value_type_1 == 0x05))
		{ Channel_1 = 0x04;
			Channel_2 = 0x05;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x04) && (trans2_hm_secondary_value_type_1 == 0x06))
		{ Channel_1 = 0x04;
			Channel_2 = 0x06;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x04) && (trans2_hm_secondary_value_type_1 == 0x07))
		{ Channel_1 = 0x04;
			Channel_2 = 0x07;
		}
		// Kanal 1 Psychometrische Temperatur und Kanal 2 alles andere
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x05) && (trans2_hm_secondary_value_type_1 == 0x00))
		{ Channel_1 = 0x05;
			Channel_2 = 0x00;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x05) && (trans2_hm_secondary_value_type_1 == 0x01))
		{ Channel_1 = 0x05;
			Channel_2 = 0x01;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x05) && (trans2_hm_secondary_value_type_1 == 0x02))
		{ Channel_1 = 0x05;
			Channel_2 = 0x02;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x05) && (trans2_hm_secondary_value_type_1 == 0x03))
		{ Channel_1 = 0x05;
			Channel_2 = 0x03;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x05) && (trans2_hm_secondary_value_type_1 == 0x04))
		{ Channel_1 = 0x05;
			Channel_2 = 0x04;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x05) && (trans2_hm_secondary_value_type_1 == 0x06))
		{ Channel_1 = 0x05;
			Channel_2 = 0x06;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x05) && (trans2_hm_secondary_value_type_1 == 0x07))
		{ Channel_1 = 0x05;
			Channel_2 = 0x07;
		}
		// Kanal 1 Vapour Partial-Druck und Kanal 2 alles andere
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x06) && (trans2_hm_secondary_value_type_1 == 0x00))
		{ Channel_1 = 0x06;
			Channel_2 = 0x00;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x06) && (trans2_hm_secondary_value_type_1 == 0x01))
		{ Channel_1 = 0x06;
			Channel_2 = 0x01;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x06) && (trans2_hm_secondary_value_type_1 == 0x02))
		{ Channel_1 = 0x06;
			Channel_2 = 0x02;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x06) && (trans2_hm_secondary_value_type_1 == 0x03))
		{ Channel_1 = 0x06;
			Channel_2 = 0x03;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x06) && (trans2_hm_secondary_value_type_1 == 0x04))
		{ Channel_1 = 0x06;
			Channel_2 = 0x04;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x06) && (trans2_hm_secondary_value_type_1 == 0x05))
		{ Channel_1 = 0x06;
			Channel_2 = 0x05;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x06) && (trans2_hm_secondary_value_type_1 == 0x07))
		{ Channel_1 = 0x06;
			Channel_2 = 0x07;
		}
		// Kanal 1 Wassergehalt und Kanal 2 alles andere
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x07) && (trans2_hm_secondary_value_type_1 == 0x00))
		{ Channel_1 = 0x07;
			Channel_2 = 0x00;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x07) && (trans2_hm_secondary_value_type_1 == 0x01))
		{ Channel_1 = 0x07;
			Channel_2 = 0x01;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x07) && (trans2_hm_secondary_value_type_1 == 0x02))
		{ Channel_1 = 0x07;
			Channel_2 = 0x02;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x07) && (trans2_hm_secondary_value_type_1 == 0x03))
		{ Channel_1 = 0x07;
			Channel_2 = 0x03;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x07) && (trans2_hm_secondary_value_type_1 == 0x04))
		{ Channel_1 = 0x07;
			Channel_2 = 0x04;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x07) && (trans2_hm_secondary_value_type_1 == 0x05))
		{ Channel_1 = 0x07;
			Channel_2 = 0x05;
		}
		if ((func1_AI_channel == TB_2_PV_1) && (func2_AI_channel == TB_2_SV_1) && (trans2_hm_primary_value_type == 0x07) && (trans2_hm_secondary_value_type_1 == 0x06))
		{ Channel_1 = 0x07;
			Channel_2 = 0x06;
		}
  }
}



METHOD method_set_values_locally
{
	LABEL		[set_values_locally];
	CLASS		LOCAL;
	DEFINITION
	{
		//PUT_MESSAGE("bin in der Methode set_values_locally");
		// 1 Kanal 1: Temperatur                    Kanal 2: Relative Feuchte
		if ((Channel_1 == 0x08) && (Channel_2 == 0x00))
		  {
		   func1_AI_channel               = THERMO_RESISTANCE_CHANNEL;
		   func2_AI_channel               = TB_2_SV_1;
		   trans2_hm_primary_value_type   = 0x00;
		   trans2_hm_secondary_value_type_1 = 0x00;
		  }
    // 2 Kanal 1: Temperatur                    Kanal 2: Taupunkt
		if ((Channel_1 == 0x08) && (Channel_2 == 0x01))
		  { func1_AI_channel               = THERMO_RESISTANCE_CHANNEL;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x01;
		  	trans2_hm_secondary_value_type_1 = 0x01;
		  }
    // 3 Kanal 1: Temperatur                    Kanal 2: Absolute Feuchte
		if ((Channel_1 == 0x08) && (Channel_2 == 0x02))
		  { func1_AI_channel               = THERMO_RESISTANCE_CHANNEL;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x02;
		  	trans2_hm_secondary_value_type_1 = 0x02;
		  }
    // 4 Kanal 1: Temperatur                    Kanal 2: Spezifische Feuchte
		if ((Channel_1 == 0x08) && (Channel_2 == 0x03))
		  { func1_AI_channel               = THERMO_RESISTANCE_CHANNEL;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x03;
		  	trans2_hm_secondary_value_type_1 = 0x03;
		  }
    // 5 Kanal 1: Temperatur                    Kanal 2: Enthalpie
		if ((Channel_1 == 0x08) && (Channel_2 == 0x04))
		  { func1_AI_channel               = THERMO_RESISTANCE_CHANNEL;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x04;
		  	trans2_hm_secondary_value_type_1 = 0x04;
		  }
    // 6 Kanal 1: Temperatur                    Kanal 2: Psychometrische Temperatur
		if ((Channel_1 == 0x08) && (Channel_2 == 0x05))
		  { func1_AI_channel               = THERMO_RESISTANCE_CHANNEL;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x05;
		  	trans2_hm_secondary_value_type_1 = 0x05;
		  }
    // 7 Kanal 1: Temperatur                    Kanal 2: Vapour Partial Druck
		if ((Channel_1 == 0x08) && (Channel_2 == 0x06))
		  { func1_AI_channel               = THERMO_RESISTANCE_CHANNEL;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x06;
		  	trans2_hm_secondary_value_type_1 = 0x06;
		  }
    // 8 Kanal 1: Temperatur                    Kanal 2: Wassergehalt
		if ((Channel_1 == 0x08) && (Channel_2 == 0x07))
		  { func1_AI_channel               = THERMO_RESISTANCE_CHANNEL;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x07;
		  	trans2_hm_secondary_value_type_1 = 0x07;
		  }
    // 9 Kanal 1: Relative Feuchte              Kanal 2: Taupunkt
		if ((Channel_1 == 0x00) && (Channel_2 == 0x01))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x00;
		  	trans2_hm_secondary_value_type_1 = 0x01;
		  }
    // 10 Kanal 1: Relative Feuchte              Kanal 2: Absolute Feuchte
		if ((Channel_1 == 0x00) && (Channel_2 == 0x02))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x00;
		  	trans2_hm_secondary_value_type_1 = 0x02;
		  }
    // 11 Kanal 1: Relative Feuchte              Kanal 2: Spezifische Feuchte
		if ((Channel_1 == 0x00) && (Channel_2 == 0x03))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x00;
		  	trans2_hm_secondary_value_type_1 = 0x03;
		  }
    // 12 Kanal 1: Relative Feuchte              Kanal 2: Enthalpie
		if ((Channel_1 == 0x00) && (Channel_2 == 0x04))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x00;
		  	trans2_hm_secondary_value_type_1 = 0x04;
		  }
    // 13 Kanal 1: Relative Feuchte              Kanal 2: Psychometrische Temperatur
		if ((Channel_1 == 0x00) && (Channel_2 == 0x05))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x00;
		  	trans2_hm_secondary_value_type_1 = 0x05;
		  }
    // 14 Kanal 1: Relative Feuchte              Kanal 2: Vapour Partial Druck
		if ((Channel_1 == 0x00) && (Channel_2 == 0x06))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x00;
		  	trans2_hm_secondary_value_type_1 = 0x06;
		  }
    // 15 Kanal 1: Relative Feuchte              Kanal 2: Wassergehalt
		if ((Channel_1 == 0x00) && (Channel_2 == 0x07))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x00;
		  	trans2_hm_secondary_value_type_1 = 0x07;
		  }
    // 16 Kanal 1: Taupunkt                      Kanal 2: Absolute Feuchte
		if ((Channel_1 == 0x01) && (Channel_2 == 0x02))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x01;
		  	trans2_hm_secondary_value_type_1 = 0x02;
		  }
    // 17 Kanal 1: Taupunkt                      Kanal 2: Relative Feuchte
    if ((Channel_1 == 0x01) && (Channel_2 == 0x00))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x01;
		  	trans2_hm_secondary_value_type_1 = 0x00;
		  }
    // 18 Kanal 1: Taupunkt                      Kanal 2: Spezifische Feuchte
		if ((Channel_1 == 0x01) && (Channel_2 == 0x03))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x01;
		  	trans2_hm_secondary_value_type_1 = 0x03;
		  }
    // 19 Kanal 1: Taupunkt                      Kanal 2: Enthalpie
		if ((Channel_1 == 0x01) && (Channel_2 == 0x04))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x01;
		  	trans2_hm_secondary_value_type_1 = 0x04;
		  }
    // 20 Kanal 1: Taupunkt                      Kanal 2: Psychometrische Temperatur
		if ((Channel_1 == 0x01) && (Channel_2 == 0x05))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x01;
		  	trans2_hm_secondary_value_type_1 = 0x05;
		  }
    // 210 Kanal 1: Taupunkt                      Kanal 2: Vapour Partial Druck
		if ((Channel_1 == 0x01) && (Channel_2 == 0x06))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x01;
		  	trans2_hm_secondary_value_type_1 = 0x06;
		  }
    // 22 Kanal 1: Taupunkt                       Kanal 2: Wassergehalt
		if ((Channel_1 == 0x01) && (Channel_2 == 0x07))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x01;
		  	trans2_hm_secondary_value_type_1 = 0x07;
		  }
    // 23 Kanal 1: Absolute Feuchte               Kanal 2: Relative Feuchte
		if ((Channel_1 == 0x02) && (Channel_2 == 0x00))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x02;
		  	trans2_hm_secondary_value_type_1 = 0x00;
		  }
    // 24 Kanal 1: Absolute Feuchte                Kanal 2: Taupunkt
		if ((Channel_1 == 0x02) && (Channel_2 == 0x01))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x02;
		  	trans2_hm_secondary_value_type_1 = 0x01;
		  }
    // 25 Kanal 1: Absolute Feuchte                Kanal 2: Spezifische Feuchte
		if ((Channel_1 == 0x02) && (Channel_2 == 0x03))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x02;
		  	trans2_hm_secondary_value_type_1 = 0x03;
		  }
    // 26 Kanal 1: Absolute Feuchte                 Kanal 2: Enthalpie
		if ((Channel_1 == 0x02) && (Channel_2 == 0x04))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x02;
		  	trans2_hm_secondary_value_type_1 = 0x04;
		  }
    // 27 Kanal 1: Absolute Feuchte                 Kanal 2: Psychometrische Temperatur
		if ((Channel_1 == 0x02) && (Channel_2 == 0x05))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x02;
		  	trans2_hm_secondary_value_type_1 = 0x05;
		  }
    // 28 Kanal 1: Absolute Feuchte                 Kanal 2: Vapour Partial Druck
		if ((Channel_1 == 0x02) && (Channel_2 == 0x06))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x02;
		  	trans2_hm_secondary_value_type_1 = 0x06;
		  }
    // 29 Kanal 1: Absolute Feuchte                 Kanal 2: Wassergehalt
		if ((Channel_1 == 0x02) && (Channel_2 == 0x07))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x02;
		  	trans2_hm_secondary_value_type_1 = 0x07;
		  }
    // 30 Kanal 1: Spezifische Feuchte              Kanal 2: Relative Feuchte
		if ((Channel_1 == 0x03) && (Channel_2 == 0x00))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x03;
		  	trans2_hm_secondary_value_type_1 = 0x00;
		  }
    // 31 Kanal 1: Spezifische Feuchte               Kanal 2: Taupunkt
		if ((Channel_1 == 0x03) && (Channel_2 == 0x01))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x03;
		  	trans2_hm_secondary_value_type_1 = 0x01;
		  }
    // 32 Kanal 1: Spezifische Feuchte               Kanal 2: Absolute Feuchte
		if ((Channel_1 == 0x03) && (Channel_2 == 0x02))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x03;
		  	trans2_hm_secondary_value_type_1 = 0x02;
		  }
    // 33 Kanal 1: Spezifische Feuchte               Kanal 2: Enthalpie
		if ((Channel_1 == 0x03) && (Channel_2 == 0x04))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x03;
		  	trans2_hm_secondary_value_type_1 = 0x04;
		  }
    // 34 Kanal 1: Spezifische Feuchte               Kanal 2: Psychometrische Temperatur
		if ((Channel_1 == 0x03) && (Channel_2 == 0x05))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x03;
		  	trans2_hm_secondary_value_type_1 = 0x05;
		  }
    // 35 Kanal 1: Spezifische Feuchte               Kanal 2: Vapour Partial Druck
		if ((Channel_1 == 0x03) && (Channel_2 == 0x06))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x03;
		  	trans2_hm_secondary_value_type_1 = 0x06;
		  }
    // 36 Kanal 1: Spezifische Feuchte               Kanal 2: Wassergehalt
		if ((Channel_1 == 0x03) && (Channel_2 == 0x07))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x03;
		  	trans2_hm_secondary_value_type_1 = 0x07;
		  }
    // 37 Kanal 1: Enthalpie                         Kanal 2: Relative Feuchte
		if ((Channel_1 == 0x04) && (Channel_2 == 0x00))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x04;
		  	trans2_hm_secondary_value_type_1 = 0x00;
		  }
    // 38 Kanal 1: Enthalpie                         Kanal 2: Taupunkt
		if ((Channel_1 == 0x04) && (Channel_2 == 0x01))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x04;
		  	trans2_hm_secondary_value_type_1 = 0x01;
		  }
    // 39 Kanal 1: Enthalpie                         Kanal 2: Absolute Feuchte
		if ((Channel_1 == 0x04) && (Channel_2 == 0x02))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x04;
		  	trans2_hm_secondary_value_type_1 = 0x02;
		  }
    // 40 Kanal 1: Enthalpie                         Kanal 2: Spezifische Feuchte
		if ((Channel_1 == 0x04) && (Channel_2 == 0x03))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x04;
		  	trans2_hm_secondary_value_type_1 = 0x03;
		  }
    // 41 Kanal 1: Enthalpie                         Kanal 2: Psychometrische Temperatur
		if ((Channel_1 == 0x04) && (Channel_2 == 0x05))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x04;
		  	trans2_hm_secondary_value_type_1 = 0x05;
		  }
    // 42 Kanal 1: Enthalpie                         Kanal 2: Vapour Partial Druck
		if ((Channel_1 == 0x04) && (Channel_2 == 0x06))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x04;
		  	trans2_hm_secondary_value_type_1 = 0x06;
		  }
    // 43 Kanal 1: Enthalpie                         Kanal 2: Wassergehalt
		if ((Channel_1 == 0x04) && (Channel_2 == 0x07))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x04;
		  	trans2_hm_secondary_value_type_1 = 0x07;
		  }
    // 44 Kanal 1: Psychometrische Temperatur        Kanal 2: Relative Feuchte
		if ((Channel_1 == 0x05) && (Channel_2 == 0x00))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x05;
		  	trans2_hm_secondary_value_type_1 = 0x00;
		  }
    // 45 Kanal 1: Psychometrische Temperatur        Kanal 2: Taupunkt
		if ((Channel_1 == 0x05) && (Channel_2 == 0x01))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x05;
		  	trans2_hm_secondary_value_type_1 = 0x01;
		  }
    // 46 Kanal 1: Psychometrische Temperatur        Kanal 2: Absolute Feuchte
		if ((Channel_1 == 0x05) && (Channel_2 == 0x02))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x05;
		  	trans2_hm_secondary_value_type_1 = 0x02;
		  }
    // 47 Kanal 1: Psychometrische Temperatur        Kanal 2: Spezifische Feuchte
		if ((Channel_1 == 0x05) && (Channel_2 == 0x03))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x05;
		  	trans2_hm_secondary_value_type_1 = 0x03;
		  }
    // 48 Kanal 1: Psychometrische Temperatur        Kanal 2: Enthalpie
		if ((Channel_1 == 0x05) && (Channel_2 == 0x04))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x05;
		  	trans2_hm_secondary_value_type_1 = 0x04;
		  }
    // 49 Kanal 1: Psychometrische Temperatur        Kanal 2: Vapour Partial Druck
		if ((Channel_1 == 0x05) && (Channel_2 == 0x06))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x05;
		  	trans2_hm_secondary_value_type_1 = 0x06;
		  }
    // 50 Kanal 1: Psychometrische Temperatur        Kanal 2: Wassergehalt
		if ((Channel_1 == 0x05) && (Channel_2 == 0x07))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x05;
		  	trans2_hm_secondary_value_type_1 = 0x07;
		  }
    // 51 Kanal 1: Vapour Partial Druck              Kanal 2: Relative Feuchte
		if ((Channel_1 == 0x06) && (Channel_2 == 0x00))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x06;
		  	trans2_hm_secondary_value_type_1 = 0x00;
		  }
    // 52 Kanal 1: Vapour Partial Druck              Kanal 2: Taupunkt
		if ((Channel_1 == 0x06) && (Channel_2 == 0x01))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x06;
		  	trans2_hm_secondary_value_type_1 = 0x01;
		  }
    // 53 Kanal 1: Vapour Partial Druck              Kanal 2: Absolute Feuchte
		if ((Channel_1 == 0x06) && (Channel_2 == 0x02))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x06;
		  	trans2_hm_secondary_value_type_1 = 0x02;
		  }
    // 54 Kanal 1: Vapour Partial Druck              Kanal 2: Spezifische Feuchte
		if ((Channel_1 == 0x06) && (Channel_2 == 0x03))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x06;
		  	trans2_hm_secondary_value_type_1 = 0x03;
		  }
    // 55 Kanal 1: Vapour Partial Druck              Kanal 2: Enthalpie
		if ((Channel_1 == 0x06) && (Channel_2 == 0x04))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x06;
		  	trans2_hm_secondary_value_type_1 = 0x04;
		  }
    // 56 Kanal 1: Vapour Partial Druck              Kanal 2: Psychometrische temperatur
		if ((Channel_1 == 0x06) && (Channel_2 == 0x05))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x06;
		  	trans2_hm_secondary_value_type_1 = 0x05;
		  }
    // 57 Kanal 1: Vapour Partial Druck              Kanal 2: Wassergehalt
		if ((Channel_1 == 0x06) && (Channel_2 == 0x06))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x06;
		  	trans2_hm_secondary_value_type_1 = 0x06;
		  }
    // 58 Kanal 1: Wassergehalt                      Kanal 2: Relative Feuchte
		if ((Channel_1 == 0x07) && (Channel_2 == 0x00))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x07;
		  	trans2_hm_secondary_value_type_1 = 0x00;
		  }
    // 59 Kanal 1: Wassergehalt                      Kanal 2: Taupunkt
		if ((Channel_1 == 0x07) && (Channel_2 == 0x01))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x07;
		  	trans2_hm_secondary_value_type_1 = 0x01;
		  }
    // 60 Kanal 1: Wassergehalt                      Kanal 2: Absolute Feuchte
		if ((Channel_1 == 0x07) && (Channel_2 == 0x02))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x07;
		  	trans2_hm_secondary_value_type_1 = 0x02;
		  }
    // 61 Kanal 1: Wassergehalt                      Kanal 2: Spezifische Feuchte
		if ((Channel_1 == 0x07) && (Channel_2 == 0x03))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x07;
		  	trans2_hm_secondary_value_type_1 = 0x03;
		  }
    // 62 Kanal 1: Wassergehalt                      Kanal 2: Enthalpie
		if ((Channel_1 == 0x07) && (Channel_2 == 0x04))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x07;
		  	trans2_hm_secondary_value_type_1 = 0x04;
		  }
    // 63 Kanal 1: Wassergehalt                      Kanal 2: Psychometrische Temperatur
		if ((Channel_1 == 0x07) && (Channel_2 == 0x05))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x07;
		  	trans2_hm_secondary_value_type_1 = 0x05;
		  }
    // 64 Kanal 1: Wassergehalt                      Kanal 2: Vapour Partial Druck
		if ((Channel_1 == 0x07) && (Channel_2 == 0x06))
		  { func1_AI_channel               = TB_2_PV_1;
		  	func2_AI_channel               = TB_2_SV_1;
		  	trans2_hm_primary_value_type   = 0x07;
		  	trans2_hm_secondary_value_type_1 = 0x06;
		  }
	}
}
