// File:		SI_YT_2.inc
// Product:	SIMATIC PDM
// Description:	Trendviewer #2
//  $Revision:   1.2  $	
//  $Date:   Nov 7 2003 10:48:30  $
// Copyright (C) Siemens AG (1998 - 2003). All Rights Reserved



// Parameter: YT21_VALUE,  YT21_URV,  YT21_LRV,  YT21_LABEL
// Parameter: YT22_VALUE,  YT22_URV,  YT22_LRV,  YT22_LABEL
// Parameter: YT23_VALUE,  YT23_URV,  YT23_LRV,  YT23_LABEL
// Parameter: YT24_VALUE,  YT24_URV,  YT24_LRV,  YT24_LABEL



MENU OnlineWindow_yt_2
{
	LABEL	YT21_LABEL;
	ITEMS
	{
		Page_process_yt_2
	}
}

MENU Page_process_yt_2
{
	LABEL	[menu_yt_diagram];
	ITEMS
	{

#ifdef YT21_LABEL
		Val_YT21,
#endif

#ifdef YT22_LABEL
		Val_YT22,
#endif

#ifdef YT23_LABEL
		Val_YT23,
#endif

#ifdef YT24_LABEL
		Val_YT24,
#endif

		OCX_out_display_yt_2
	}
}

#ifdef YT21_LABEL
MENU Val_YT21
{
	LABEL	YT21_LABEL;
	STYLE	"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT21_VALUE	(READ_ONLY)
	}
}
#endif

#ifdef YT22_LABEL
MENU Val_YT22
{
	LABEL	YT22_LABEL;
	STYLE	"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT22_VALUE	(READ_ONLY)
	}
}
#endif

#ifdef YT23_LABEL
MENU Val_YT23
{
	LABEL	YT23_LABEL;
	STYLE	"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT23_VALUE	(READ_ONLY)
	}
}
#endif

#ifdef YT24_LABEL
MENU Val_YT24
{
	LABEL	YT24_LABEL;
	STYLE	"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT24_VALUE	(READ_ONLY)
	}
}
#endif

MENU OCX_out_display_yt_2					// OCX-Control 2
{
	LABEL	[menu_yt_diagram] ;
	STYLE	"PDMTVPROXY.PDMTVProxyCtrl.1";	// Name, unter dem das OCX in Windows registriert ist
	ITEMS
	{
		OCX_ProfilNum_yt_2,					// Profil-Nummer

#ifdef YT21_LABEL
		OCX_out_display_21					// 1. Kurve
#endif

#ifdef YT22_LABEL
		OCX_out_display_22,					// 2. Kurve
#endif

#ifdef YT23_LABEL
		OCX_out_display_23					// 3. Kurve
#endif

#ifdef YT24_LABEL
		OCX_out_display_24					// 4. Kurve
#endif

		OCX_UserSettings_yt_2				// Fr Speicherung von Settings, die vom Benutzer zur Laufzeit gendert wurden
	}
}

#ifdef YT21_LABEL
MENU OCX_out_display_21						// 1. Kurve im OCX-Control yt
{
	LABEL	YT21_LABEL;
	STYLE	"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT21_VALUE	(READ_ONLY),
		YT21_LRV	(READ_ONLY),
		YT21_URV	(READ_ONLY)
	}
}
#endif

#ifdef YT22_LABEL
MENU OCX_out_display_22						// 2. Kurve im OCX-Control yt
{
	LABEL	YT22_LABEL;
	STYLE	"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT22_VALUE	(READ_ONLY),
		YT22_LRV	(READ_ONLY),
		YT22_URV	(READ_ONLY)
	}
}
#endif

#ifdef YT23_LABEL
MENU OCX_out_display_23						// 3. Kurve im OCX-Control yt
{
	LABEL	YT23_LABEL;
	STYLE	"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT23_VALUE	(READ_ONLY),
		YT23_LRV	(READ_ONLY),
		YT23_URV	(READ_ONLY)
	}
}
#endif

#ifdef YT24_LABEL
MENU OCX_out_display_24						// 1. Kurve im OCX-Control yt
{
	LABEL	YT24_LABEL;
	STYLE	"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT24_VALUE	(READ_ONLY),
		YT24_LRV	(READ_ONLY),
		YT24_URV	(READ_ONLY)
	}
}
#endif

VARIABLE OCX_ProfilNum_yt_2					// Profil-Variable fr OCX yt
{
	LABEL	"ProfilID";
	STYLE	"OCX_PROPERTY";
	CLASS	LOCAL;
	TYPE	INTEGER(2)
	{
		DEFAULT_VALUE	1004;				// Profil 1004 : y-t mit Farbwahl
	}
	HANDLING    READ;
}

VARIABLE OCX_UserSettings_yt_2				// Fr Speicherung von Settings, die vom Benutzer zur Laufzeit gendert wurden
{
	LABEL	"UserSettings";
	STYLE	"OCX_PROPERTY";
	CLASS	LOCAL;
	TYPE	ASCII (1000)
	{
		DEFAULT_VALUE	"";
	}
	HANDLING	READ & WRITE;
}

